Gajim 2.4.4 (25 Feb 2026)

  New

  * Display images in link previews
  * Generate Open Graph link previews
  * MacOS: Add system notifications

  Improvements

  * Main: Remove Gajim icon
  * MacOS: Add handler for xmpp URIs
  * MacOS: Raise font size and window shadows
  * Windows: Raise font size and use Segoe UI
  * Reduce usage of small font size
  * Client: Better determine if remote host is reachable
  * Preferences: Improve performance for users with many accounts
  * ChangePassword: Use Gtk.PasswordEntry
  * Preferences: Remove password entry

  Change

  * Raise nbxmpp to 7.1.0

  Bug Fixes

  * MacOS: Disable video thumbnail generation
  * Settings: Use correct fractional digits for spin settings
  * MacOS: Show window control buttons
  * Main: Bring window to front when application is triggered via link (#12621)
  * SecurityLabels: Hide dropdown correctly if not supported
  * ConversationView: Degrade gracefully on unexpected state when retrieving avatar
  * Preferences: Disable password change row when account is disconnected
  * Groupchat: Show correct nickname in private messages (#12612)
  * Workspace sidebar: Fix drag highlight styling
  * Preview: Set drag hotspot to upper left corner for better UX (#12599)
  * OpenGraphPreview: Fix memory leak
  * CreateGroupchatWindow: Fix Gtk.Entry leak
  * WorkspaceDialog: Fix a memory leak
  * Shortcuts: Always accept window shortcuts (#12608)
  * Settings: Allow to scale font correctly

Gajim 2.4.3 (20 Jan 2026)

  Improvements

  * ErrorReports: Add python version to reports

  Bug Fixes

  * FileTransferManager: Catch errors when trying to get aesgcm URL fragment
  * AccountWizard: Handle disconnect correctly
  * Fix showing feedback box for error reports
  * AddContact: Fix error making it unable to add new contact (#12597)

Gajim 2.4.2 (13 Jan 2026)

  New

  * Support link previews (open graph)
  * Allow drag and drop for previews (forwarding) (#10799)
  * Shortcuts: Make shortcut for correcting messages configurable
  * Shortcuts: Add shortcuts for "Paste as Quote" and "Paste as Code Block"
  * Shortcuts: Add shortcuts for text formatting actions
  * Shortcuts: Add new shortcut for focusing the message input

  Improvements

  * Contact name entry: Improve editing flow and fix layout issue (#12582)
  * Group Chat Creation: Improve layout (#12573)
  * Preferences: Rework archiving page for more clarity
  * HTTPUpload: Raise timeout
  * ChatStateIndicator: Align with message row elements
  * Main: Group share and invite buttons
  * Chat: Don't draw shadow at the top
  * Main: Make small design improvements

  Change

  * Raise omemo-dr version
  * Raise PyGObject version

  Bug Fixes

  * ManageRoster: Narrow down row format to prevent errors (#12595)
  * ManageRoster: Catch errors when trying to import unsuitable files (#12594)
  * MessageRowActions: Always hide when switching contacts (#12591)
  * ConversationView: Catch exception when computing row actions update (#12587)
  * Reload user styles after dark/light mode switch (#12426)
  * Contact popover: Fix XMPP address icon
  * AboutDialog: Show correct installation
  * Contact details: Make avatar management buttons opaque (#12574)
  * MessageInput: Fix case where emojis were missing from the emoji chooser (#12390)
  * AdHoc: Fix label wrapping of notes in rare cases
  * MessageInput: Don't highlight brackets (#12578)
  * Reset unread count after closing chat with mouse middle button
  * OMEMO: React to group chat config change
  * ChatBanner: Fix voice request button layout
  * FileTransfer: Focus input after sending file
  * Chat: Fix showing reply if message contains previewable content (#12571)
  * Dropdowns: Add item tooltip and make popover bigger
  * Compare version requirements correctly
  * Use spawn context for multiprocessing Manager
  * HTTPUpload: Fix file transfer only available after chat switch
  * Accept pre-releases in version check (#12561)
  * VoiceMessageRecorderWidget: Don't fail on switching input device
  * Fix reply-to JID for self-messages in direct chats (XEP-0461)
  * Don’t fail to start Gajim when not all Gst dependencies are installed (#12563#12564)
  * Main: Correctly bind ESC key

Gajim 2.4.1 (13 Dec 2025)

  New

  * AnimatedImage: Support avif and png
  * Add animated GIF/WebP previews

  Improvements

  * Plugins: Show hint for shipped plugins (#10209)
  * OMEMO: Improve UX of fingerprint rows
  * HTTP: Better deal with servers not sending content-length
  * Plugins: Better handle errors when activating plugins
  * DBMigration: Show progress for every version
  * SyncHistory: Don't open chats when syncing history
  * GroupChat: Allow to send encrypted messages if we are only member
  * Read Receipts: Don’t display read receipts when sending is disabled
  * Message actions: Rename 'Correct…' item to 'Edit…' (#12533)
  * Contact info: Improve layout for group chat context infos
  * Features: Improve text for idle dependencies
  * Description of per-contact send marker setting

  Change

  * Raise nbxmpp version
  * Raise omemo-dr version
  * Application: Don't close application on ESC (#12546)

  Bug Fixes

  * Re-enable drag and drop on X11 displays for suitable GTK versions (#12313)
  * Proxies: Add back handling for username changes (#12552)
  * DBMigration: Ensure window modality by setting transient periodically (#12520)
  * Commands: Don’t fail to create commands with python 3.14
  * MessageActionBox: Fix resize loop
  * Hats: Use correct color
  * AudioPlayer: Fix UI for RTL layout
  * Application: Don’t allow to rebind escape action
  * SyncHistory: Don’t use idle add to set fraction
  * Set worker process title (#12538)
  * Client: Don’t fail when disconnecting (#12537)
  * HTTPDownload: Correctly close file on errors (#12536)
  * SystemTrayIcon: Mark icon as not menu only
  * Manage roster: Catch permission errors on export (#12532)
  * Sync waveform and seek bar position correctly
  * Voice Messages: Update waveform on seek during pause
  * Voice Messages: Show Play Icon, when showing Audio Player
  * Chatstates: Use group chat setting for PM chats
  * ContactInfo: Show correct pages for PM chats
  * Certificate dialog: Catch error when trying to get serial number (#12519)

Gajim 2.4.0 (04 Nov 2025)

  New

  * Raise correction time limit
  * GroupChat: Show read markers
  * Customize emojis list for quick reactions
  * Reactions: Add support for max_reactions_per_user

  Improvements

  * Group chat invitation: Improve layout and details
  * Preferences: Improve name of subject setting
  * Preferences: Improve terminology and structure of app notification settings
  * ChatList: Make account identifies less wide
  * HTTPUpload: Improve support for .onion domains
  * HTTPUpload: Replace nbxmpp http request
  * Application: Improve error text on DBus register errors
  * Display toast with 'Open Folder' button after saving a file (#12511)
  * AccountPage: Use Adw widgets and integrate profile
  * DiscoverServices: Recognize pep as pubsub service
  * GroupChat: Support color for hats
  * Support for pronouns in profiles
  * ChatList: Display messages with 'Code snippet' instead of '```'

  Change

  * Raise nbxmpp version
  * Add socks as new dependency

  Bug Fixes

  * Windows: Allow overriding language with LANGUAGE env var
  * MessageRowActions: Fix memory leak
  * Windows: Add full-width question mark to blacklisted characters for file names (#11603)
  * Password storage: Catch more exceptions when trying to delete password (#12506)
  * File selector/avatar selector: Guard for missing value on drop (#12505)
  * Contact info: Only allow renaming contact if contact is in roster (#12504)
  * PEP Config: Disable buttons according to account connectivity (#12503)
  * Apply scaling to image previews again
  * Rotate image preview correctly
  * ChatList: Filter contact groups correctly
  * Themes: Remove obsolete style entries
  * Discovery: Add a cache per account (#12496)
  * Do not fail to open file with relative paths
  * Reference CopyButton to fix template initialization issues (#12470)
  * Tests: Initialize Adw when initializing tests
  * Preferences: Don’t fail to open dialog if connection is PLAIN (#12471)

Gajim 2.3.6 (30 Sep 2025)

  Improvements

  * DebugConsole: Disable Stream Management by default
  * Delete more metadata when purging history
  * Preferences: Add restart hint for debug logging

  Bug Fixes

  * Video Thumbnails: Don't seek close to EOS
  * Icons: Don’t fail when loading icons
  * Preferences: Fix updating proxy list (#12465)
  * Only use first frame for thumbnail
  * Don't create thumbnails twice
  * ChangePassword: Fix error while opening the dialog

Gajim 2.3.5 (11 Sep 2025)

  New

  * Add Toast overlay for feedback
  * Add thumbnails for videos
  * Chats: Add shortcut to focus chat search (#12452)
  * Rework contact popover
  * Add Shortcuts Manager

  Improvements

  * HistorySync: Use dropdown instead of ListBox for time selection
  * Accounts: Improve strings for settings
  * Message selection: Allow copying messages using Ctrl+C (#12194)
  * Preview: Improve displaying mime-type icons
  * Replies: Add thread id when replying
  * HTTP File Upload: Improve mime type detection when sending files (#12450)
  * Contact/Group chat details: Improve layout
  * Start chat: Dim 'Start / Join chat' icon
  * StartChat: Remember last filter settings (#12412)
  * OMEMO: Improve info messages on first contact (#12431)
  * Chat: Improve code widget style
  * ChatList: Sort messages with drafts to the top (#12428)

  Change

  * Preferences: Move sync history action to archiving page
  * Preferences: Integrate archiving preferences dialog
  * AccountMenu: Simplify menu
  * Preferences: Integrate blocked contacts dialog
  * Preferences: Integrate Manage Contact List
  * PEP dialog: Add reload button (#12448)
  * Preferences: Integrate ServerInfo dialog
  * Remove support for answering entity time queries
  * Settings: Remove options to change priority
  * Icons: Use Lucide icons
  * Move Account settings into Preferences dialog
  * Icons: Replace all Feather icons with Lucide icons
  * Contact info: Show full contact dialog if we know a contact's real JID (#12433)
  * Group chat info: Use Adw widgets

  Performance

  * Windows: Don't byte-compile Python files

  Bug Fixes

  * Assistant: Fix layout warnings
  * Settings: Don’t reset setting for all accounts
  * Settings: Correct setting description for read markers
  * Group chats: Fix resetting settings to default (#11377)
  * MUC: Don’t fail to rejoin after service shutdown (#12447)
  * Contact info: Fix initial subscription switch state (#12414)
  * Dark mode: Fix switching dark/light mode for some elements (#12426)
  * Group chats: Display subject only if it has text (#12437)
  * File transfers: Fix cancelling file transfers (#12442)
  * VCard: Catch timeout error while receiving VCard (#12441)
  * VCard grid: Fix setting birthday (#12440)
  * MessageInput: Don’t remove selection on right click
  * Handle contact requests with 'ignore_unknown_contacts' setting (#11933)
  * Account side bar: Display hint for connectivity issues (#12262)
  * Start chat: Rename entry for starting / joining chat
  * Disable drag and drop for files on X11
  * Stream: Don’t set invalid xml:lang attribute (#12432)
  * ChatList: Don’t show messages from blocked users (#12386)
  * Notifications: Don’t raise notification for messages from blocked users (#12315)
  * Replace missing theme icons

Gajim 2.3.4 (11 Aug 2025)

  New

  * VCard4: Support timezone field

  Improvements

  * Start Chat: Improve label readability
  * Chat function page: Improve group chat error descriptions (#12392)
  * GroupchatRoster: Display participants count
  * OMEMOTrustManager: Add copy button and make some design improvements (#12421)
  * Loosen matching rules for URL query strings
  * Profile: Improve 'Remove' button style and center TZ description
  * Shortcuts: Bind Ctrl+W to close Gajim if no chat is selected (#11960)
  * Update unread count when closing chat
  * Chat rows: Add CSS classes for identifying message direction (#12374)
  * Chat: Handle images drag&drop from browsers
  * Emoji completion: Sort emojis
  * Main: Make Escape close the window independent of chat setting
  * Main: Hide chat on escape (#12381)
  * AdHoc: Improve displayed errors (#12376)
  * Set stream language (#11767)

  Change

  * Raise nbxmpp version
  * Flatpak: Reduce required device access to GPU acceleration only
  * Chat: Display content inline when clicking [read more]
  * Preview audio visualizer: Use Adw accent color (#12373)

  Bug Fixes

  * Preview: Update widget in the main thread
  * Message row actions: Don't scroll when hovering actions bar (#12001)
  * GroupchatDetails: Hide user count (#12417)
  * ChatList: Update contact nicknames on change (#12423)
  * Reactions: Correctly count when reacting to own messages
  * Profile: Don’t escape nickname (#12420)
  * JingleFileTransferRow: Fix missing attribute
  * Accounts: Don’t apply SASLPrep to passwords (#12312)
  * Improve nickname matching for preceding apostrophes (#11918)
  * Group chats: Fix starting chat when real JID is unknown (#11761)
  * Group chat: Fix showing participant menu when real JID is unknown (#12410)
  * Notifications: Catch errors when trying to initialize Windows backend (#12409)
  * File transfer: Fix warning message when invoking send-file action
  * Chat function page: Set contact name correctly for 'Note to myself'
  * Messages: Align LTR/RTL messages correctly if the global direction differs (#12383)
  * StartChat: Make sure entry always has focus (#12396)
  * Plugins: Don't fail when trying to check for plugin errors; improve logging
  * Message input: Grab focus after selecting emoji (#12378)
  * Message actions box: Support pasting image/bmp (#12367)

Gajim 2.3.3 (13 Jul 2025)

  Improvements

  * Group chat management: Use Adw widgets
  * Preferences: Improve display of locked settings (#12354)
  * Add support for the urgency hint on win32
  * Present main window when clicking systray icon

  Performance

  * Preferences: Load plugin manifests in idle fashion to avoid blocking the UI
  * Main window: Display (empty) main window early to indicate startup progress

  Bug Fixes

  * Manage roster: Fix renaming contacts without nickname (#12369)
  * Disable accesskit on Windows to prevent segfaults (#12364)
  * Preview: Guard for more errors while trying to save file (#12337)
  * Preview: Guard file access checks (#12361)
  * Preview: Guard for errors while trying to create thumbnails (#12360)
  * Styling: Add extra CSS on Windows to fix issues (#12333)
  * Status icon: Call shutdown when handling Gajim core shutdown
  * Windows: Make --user-profile work correctly with portable installations (#12356)
  * GroupChat: Don’t allow sending messages if contact is not joined (#12351)

Gajim 2.3.2 (30 Jun 2025)

  Improvements

  * Group chat info: Improve layout
  * Contact info: Improve layout and wording
  * Exceptions: Improve issue text

  Bug Fixes

  * Migration: Fix migration for Gajim versions < 1.8.4 (#12308)
  * Workspaces: Fix dropping a chat on the new workspace icon (#12340)

Gajim 2.3.1 (29 Jun 2025)

  Bug Fixes

  * Windows: Add back required PNG status icons for systray icon
  * Windows: Enable automatic update check

Gajim 2.3.0 (29 Jun 2025)

  New

  * Preferences: Add setting to hide header bar
  * Change maximum input height from ~5 to ~12 lines

  Improvements

  * Server info: Use Adw.InlineViewSwitcher for tabs
  * Search: Improve layout and styling
  * Show account for server shutdown notification
  * Debug console: Add shortcut Ctrl+L for clearing logs window
  * StartChat: Add ellipsis for menu entry
  * Remove QR code borders for better styling
  * Chat filter: Enable searching for groups
  * Dropdown: Ellipsize labels in the middle

  Change

  * Raise PyGObject version
  * AppSideBar: Rewrite Side Bar
  * ContactInfo: Use libadwaita widgets for device infos
  * Menu: Remove main application menu
  * Move Plugin dialog into Preferences
  * Menu: Add dedicated preference button
  * Menu: Move help menu into header bar button
  * Menu: Remove "View" menu
  * Menu: Remove toggle option for main menu
  * Styles: Use libadwaita style rules and remove obsolete classes/rules
  * CommandLine: Deprecate profile and separate commands
  * Add libadwaita as dependency
  * Plugins: Use Adw widgets
  * Contact/Group chat info: Use Adw widgets
  * Accounts/OMEMO trust manager: Use Adw widgets
  * Preferences: Use Adw preferences widgets
  * Settings: Make use of Adw.ActionRow; process button props for all row types
  * Server info/Certificate dialog: Use view switcher and boxed list for server features
  * Features: Use Adw boxed list
  * Use Adw.AboutDialog
  * Styles: Use Adw.StyleManager for managing light/dark mode

  Bug Fixes

  * Fix infinite loop when hiding the chat list
  * Sounds: Fix problem that new sounds could not be set
  * Preview: Catch file parsing errors (#12290)
  * File handling: Catch file access errors (file transfer, avatars) (#12310)

Gajim 2.2.0 (15 May 2025)

  New

  * Add MUC blocking (#10178)
  * Add retractions XEP-0424
  * Add XEP-0486 (#12273)

  Improvements

  * Group chat details: Add label clarifying public information
  * Groupchat details: Add sidebar row header for administration
  * Account sidebar: Indicate connectivity issues (#12262)
  * Reactions: Consider reations on all revisions of a message
  * Moderate/Retract all revisions of a message
  * Improve handling of retraction/moderation for corrections

  Change

  * Raise nbxmpp version

  Bug Fixes

  * StartChat: On disco error show always an error text
  * DisplayMarkers: Send displayed only if contact is subscribed
  * Search: Fix searching for the same text after switching contacts (#12297)
  * Preview: Fix error dialog for missing write access (#12294)
  * HistoryExport: Don’t fail when exporting messages from the room itself
  * VCardGrid: Fix wrapping long strings in labels
  * Chat: Don’t fail in some cases to show correction/error tooltip
  * Clipboard: Guard for errors and show error dialog
  * GroupChat: Do not move chat text when participant menu opens
  * MUC: Fix failed join after reconnect

Gajim 2.1.1 (16 Apr 2025)

  Improvements

  * OMEMO: Unify terminology regarding blind trust
  * ExceptionDialog: Don’t open multiple dialogs (#8370)
  * GroupChat: Show voice request errors (#12225)
  * ChatFilters: Increase width of dropdowns
  * StartChat: Improve row layout
  * StartChat: Show contact addresses (#12261)
  * StartChat: Make contact list more compact

  Change

  * Raise nbxmpp version

  Bug Fixes

  * MDS: Check if account is connected (#12271)
  * Search: Ignore obsolete corrected messages (#11804)
  * Search: Don’t show moderated messages (#12163)
  * Message actions box: Fix pressing space to focus input; prevent error with no contact (#12267)
  * StartChat: Consider show value "chat" the same as "online"
  * MDS: Set by attribute correctly
  * Catch exceptions when pasting text from clipboard (#12258)
  * Account sidebar: Fix setting status for multiple accounts (#12257)

Gajim 2.1.0 (08 Apr 2025)

  New

  * Support XEP-0490: Message Displayed Synchronization
  * Add activity feed

  Improvements

  * Start Chat: Use language symbol and code instead of flag (#12249)
  * Group chat info: Use better fitting language icon
  * Start chat: Add 'Execute Command…' menu item (#12246)
  * Chat banner: Use better icon for chat details/settings

  Change

  * Raise nbxmpp version
  * Remove unread message confirmation dialog at shutdown (#12248)

  Bug Fixes

  * EmojiChooser: Fix segfault after choosing emoji
  * Nickname: Display published nickname correctly
  * StatusIcon: Correctly show menu (#12165)
  * MUC: Don’t fail on affiliation change
  * ChatList: Make sure chatlist sorts always after pin/unpin
  * Debug console: Fix initial send button state

Gajim 2.0.4 (19 Mar 2025)

  Improvements

  * Code widget: Improve handling for single line entries
  * GroupchatRoster: Improve participant sorting
  * StartChat: Add Sort by Status option
  * Assistants: Improve button order and color-coding

  Bug Fixes

  * Storage: Fix error on big queries (#12148)
  * Disable start chat buttons if no accounts are active
  * Account wizard: Fix selecting default connection type in advanced settings (#12236)
  * MUC: Ignore invites sent by other devices of ours
  * MUC: Don’t fail on presence from bare jids (#12232)

Gajim 2.0.3 (15 Mar 2025)

  New

  * Store/Restore the size of dialogs

  Improvements

  * Group chats: Improve strings for events

  Bug Fixes

  * MUC: Fix handling affiliation/role change error handling
  * StatusIcon: Show correct state for mute sounds option
  * AdHoc: Don't fail if dataform widget is not set when cancelling (#12227)
  * Chat: Send read marker only when chat is at bottom
  * ChatControl: Handle autoscroll-changed without active chat (#12226)
  * MUC: Don’t fail on displaying affiliation change

Gajim 2.0.2 (10 Mar 2025)

  New

  * Use XEP-0172 nickname of contacts not in roster (#11476)
  * Moderation: Support Message Moderation 0.3.0

  Improvements

  * Moderation: Improve moderation text
  * Remove 'ambiguous-address' URI processing (#12192)
  * Simplify URI context menu (#12207)
  * Improve confirmation dialog strings

  Change

  * Don't handle file URIs
  * Display a warning when trying to add domain JID

  Bug Fixes

  * MessageInput: Do not crash on message send (#12158)
  * MUC: Ensure MUCData is initiated with jid string (#12222)
  * ContactNameWidget: Add more conditions for enabling edit mode (#12221)
  * Helpers: Check for empty bytes objects when loading file async (#12220)
  * HistoryExport: Export messages in ascending order (#12218)
  * StartChatDialog: Do not crash, when dialog closes after starting new chat (#12213)
  * Make dragged chat stick to cursor
  * Menus: Create menu on button click (#12214)
  * Ad-hoc commands: Expand list of commands vertically (#12206)
  * History export: Skip ResourceContacts for export (#12208)

Gajim 2.0.1 (02 Mar 2025)

  Improvements

  * Start Chat: Add confirmation dialog for 'Forget this Group Chat' action (#12199)

  Bug Fixes

  * MUC: Don’t query avatars if not allowed
  * EventStorage: Serialize JIDs correctly
  * StartChat: Don't crash when groupchat is in Roster
  * SettingsDialog: Fix showing dialogs
  * Preferences: Show missing titles for settings again
  * Show audio input selection again (for voice messages)
  * Preferences: Update themes list when removing theme

Gajim 2.0.0 (27 Feb 2025)

  New

  * Port to Gtk4
  * Generate previews with multiple processes
  * Add Manage Roster Dialog
  * Add message row menu entry for moderating all messages of participant
  * Add new completion popover

  Improvements

  * DebugConsole: Use Dropdown for account selection and improve account order
  * StatusIcon: Consider suspended state on show/hide action
  * Features: Hide not maintained features
  * Preferences: Hide Audio/Video settings
  * Don’t close chat on remove contact action
  * Chat: Add remove contact menu entry
  * NickChooser: Show error tooltip for invalid nicknames
  * Control: Disable message selection via Escape key
  * Make exporting/removing individual chat history accessible
  * HistoryExport: Allow exporting individual chats
  * Add profile name to window title (#12168)
  * GroupChatVoiceRequestButton: Fix updating content, scroll content, improve test
  * MessageActionsBox: Enable more actions for offline message composing
  * MessageActionsBox: Enable message composing while offline (#11759)
  * FullMessageWindow: Wrap text and add padding
  * StartChat: Make dialog look more compact
  * VoiceRequestsButton: Show JID for each request
  * ChatFilter: Add account filter
  * Chat Filters: Use a popover for filters and add roster group filter
  * Message Actions Box: Show user feedback when pasting images (#11489)
  * Start Chat: Include contact groups in search
  * Group Chats: Add 'Direct Message' menu item to participants menu (#12146)
  * Logging: Harmonize logging timestamps
  * Preview: Use native theme colors and improve styling
  * MessageRowActions: Don't show actions if message selection is active
  * Preview: Style and layout improvements
  * Preview: Show controls on hover and improve styling
  * Debug Console: Use different colors depending on light/dark preference

  Change

  * Raise nbxmpp version
  * Require Python 3.11
  * Remove legacy config code and migration
  * Plugins: Rename tooltip extension point
  * Remove Roster
  * Remove Synchronize Accounts Dialog
  * Remove Bookmark Dialog
  * Preview: Raise default size from 300 to 400
  * Windows: Store images in the users Downloads folder
  * Disable Jingle file transfer support

  Performance

  * Message display: Reduce maximum message length to 1000 characters

  Bug Fixes

  * BitsOfBinary: Fix module data handling
  * ChatStack: Fix leak with Previews when switching to another workspace
  * Blocking: Don’t convert to lower case when saving
  * Fix app.window.add_chat() calls and add typings for chat type
  * Labels: Fix Pango word/character wrapping
  * Hide drop area after file drop (#12143)
  * MessageActionsBox: Fix message input scrolling out of view (#12158)
  * Profile: Fix handling async result while closing (#12159)
  * PasswordDialog: Show dialog for multiple accounts
  * Contacts: Check for existing chat contacts when adding group chat contact
  * NicknameCompletion: Only consider incoming messages
  * RosterItemExchange: Fix accessing contact subscription
  * Debug Console: Fix search occurrence position (#11999)
  * Voice Message: Handle error when temp folder is not available
  * Translations: Use standard ngettext method (#11997)

Gajim 1.9.5 (30 Sep 2024)

  Improvements

  * DebugConsole: Show "Log" when opening the dialog
  * DebugConsole: Improve search for XML logs (#11992, #11181)
  * Datafroms: Display text-multi fields without scrolled window
  * Inform user when referenced message cannot be found

  Change

  * Move chat state indicator above message input
  * Windows: Disable file system virtualization for MS Store app

  Bug Fixes

  * Windows: Fix Notification AUMID for MS Store install (#11965)
  * Windows: Fix detecting MS Store version
  * Preview: Update preview object while updating progress (#11991)
  * Dataforms: Don’t try to calculate label size (#11990)
  * Groupchat: Wrap long nicknames in subject row
  * StartChat: Fix global search results missing the name in some cases (#11985)
  * Build: Build translations for all distributions again

Gajim 1.9.4 (19 Sep 2024)

  New

  * Add setting to prevent sync of group chats
  * XEP-0317 (Hats)
  * Integrate providers.xmpp.net into account creation wizard
  * Search: Add user interface for message filters

  Improvements

  * Create a common directory for temporary files
  * Unify usage of 'synchronise'/'synchronize' strings
  * Control: Improve query to load messages around a timestamp
  * Dataforms: Improve read only form presentation (#11758)
  * Indicate modified contact name in info dialogs (#11777)
  * StartChat: Show description, user count, and language in search results (#11963)
  * Add Quit dialog for setting window preference (#11481)
  * Search: Add fade-in effect for results and make search icon spin
  * Search: Indicate search state with placeholder
  * Message rows: Use transition for row highlight (#11932)

  Change

  * Raise nbxmpp version to 5.0.4
  * Build: Move all configure/build/installation steps into single script
  * ChatControl: Show typing indicator in a separate widget (#11913)
  * Search: Use quotes to mark search filter content (#11355)

  Bug Fixes

  * Parse xmpp IRI correctly
  * Display error message correctly when missing dependencies
  * MUC: Display errors related to nickname change (#11930)
  * DBus: Use correct app id
  * JingleFileTransfer: Fix message data argument
  * Dataforms: Fix completion of single list forms
  * Catch KeyringLocked error when trying to delete a password (#11978)
  * Debug Console: Catch errors before trying to send stanzas (#11976#11301)
  * Menu: Fix 'Mark as read' action not sending read marker
  * MessageRowActions: Enable scrolling while cursor rests on action (#11968)
  * GroupchatRoster: Fix loading roster while participants are added/removed (#11970)
  * StartChat: Only search s.j.n if there is a search string
  * GroupchatRoster: Fix filtering for participants with status set (#11958)
  * ChatListStack: Fix default workspace id when getting current chat list (#11969)
  * Fix wrapping lines for long words
  * MessageRowActions: Make actions more robust (#11950)
  * Notifications: Prevent loading of windows_toasts on unsupported Windows versions (#11944)
  * Debug Console: Fix Ctrl+F hotkey (#11940)
  * MessageInputTextView: Make background transparent
  * GroupChatRoster: Fix hover style scope to avoid hidden scrollbar thumb (#11936)
  * Search: Allow to search for same string again

  Notes

  Attention to all package maintainers, this changes how Gajim is build.
  Please check README.md for more information.

Gajim 1.9.3 (28 Jul 2024)

  Improvements

  * DebugConsole: Dynamically add stanza presets and add XEP-0092 query

  Change

  * Make Chatlist and Groupchat Roster style consistent

  Bug Fixes

  * Fix Gajim not starting when installed via MS Store
  * Send read marker when receiving a message in a chat that has the focus.
  * AccountWizard: Avoid crash on destroy by moving attribute declaration to top (#11927)
  * MessageRowActions: Fix issue with row hover in conjunction with switching chats (#11925)
  * Use correct mimetype for DND in flatpak
  * Messages: Treat type=normal messages as chat messages
  * SearchView: Fix search when changing scope for the same search string (#11915)

Gajim 1.9.2 (19 Jul 2024)

  New

  * Optionally unregister from group chats on close
  * Make HTTP links clickable in room descriptions
  * Show participant avatar in MUC notifications
  * Windows: Add native Windows notifications (#11789, #10662)

  Improvements

  * ChatCommands: Improve styling and add hint for double slash usage
  * Proxies: Add option to ignore system proxies
  * MessageRowActons: Hide quick reactions on narrow screens (#11888)
  * Notifications: Register AUMID on Windows
  * MessageRowActions: Adjust floating offset for merged messages (#11897)
  * AboutDialog: Add package information
  * Dataforms: Improv display of simple forms
  * Don't check for updates if running from MS Store (#11881)

  Change

  * Remove gajim-url theme parameter (#11894)

  Performance

  * MessageRowActions: Fix memory leak

  Bug Fixes

  * OMEMO: Don’t delete signed pre keys before catchup
  * SearchView: Prevent burst of db queries when holding enter (#11902)
  * ChatListRow: Indicate received file for encrypted messages
  * Fix nickname completion in group chats (#11895)
  * RosterItemExchange: Display optional message in the chat (#11900)
  * GroupchatRoster: Fix menu not pointing to cursor (#11890)
  * SynchronizeAccounts: Fix dialog for starting with unavailable account (#11901)
  * MessageRowActions: Fix widget margin in RTL mode (#11891)
  * Remove unnecessary space between quotes (#11886)
  * MessageRowActions: Make on_hover method more robust (#11884)
  * Corrections: Load correct message (#11883)

Gajim 1.9.1 (22 Jun 2024)

  New

  * Menu: Add main menu button (#11811)

  Improvements

  * ChatFunctionPage: Show MUC address when displaying error
  * SecurityLabels: Allow correction of labels
  * Use different icon for context menu on contact list page
  * Unify wording for 'Toggle Menu Bar'
  * ConversationView: Use better method for scrolling to row (#11094, #11840)

  Change

  * Raise nbxmpp version

  Bug Fixes

  * Reactions: Show timestamp in correct timezone (#11875)
  * Search: Don’t search messages of disabled accounts (#11876)
  * DebugConsole: Fix filtering stanzas when combining accounts and types
  * VoiceMessageRecorderButton: Honor visibility setting on startup (#11872)
  * SecurityLabels: Fix merging messages with same security label
  * ChatActionProcessor: Make handling selected action more robust (#11871)
  * Settings: Store account jid in dedicated setting (#11864)
  * Migration: Don’t fail on invalid JIDs (#11862)
  * HistorySync: Make full sync option work again

Gajim 1.9.0 (10 Jun 2024)

  New

  * Add Voice Messages
  * Support XEP-0425 0.3.0
  * Add XEP-0444: Message Reactions
  * Add support for XEP-0461: Message Replies
  * Display emoji-only messages with a larger font
  * Feedback on affiliation change failures
  * Hide/show main menu bar
  * Add option to remove group chat avatar
  * Plugins: Add extension point for adding chat commands
  * Use default encryption setting for group chats
  * MessageInputTextView: Change to GtkSource.View and refactor buffer handling (#11639#11695)
  * StartChat: Show roster groups
  * StartChat: Show last seen
  * StartChat: Show contact tooltip on avatar
  * StartChat: Show status message

  Improvements

  * Menus: Rename 'Modify Accounts' to 'Manage Accounts'
  * AdHocCommands: Display note type icon
  * Preferences: Relax preconditions for audio settings
  * SearchView: Show only time_format in result rows
  * AudioPreview: Use symbolic icon
  * MessageRow: Pop up chat row menu to the top
  * Add transport icons to MUC avatars
  * ConversationView: Add MessageRowActions
  * XML Console: Add jump to end button (#11828)
  * Dismiss invitation notification when MUC is joined
  * MessageActionsBox: Show connection state and correction hint (#11819#11791)
  * ChatCommands: Handle /me command (#11778)
  * Notifications: Make avatars available on more platforms
  * Notify of new members in private MUCs
  * Change 'Topic' to 'Subject' in group chat details
  * GroupChat: Improve default room config
  * ChatPage: Show workspace settings button on hover and move filter button next to search bar
  * ChatBanner: Use better tooltip for chat details button
  * StartChat: Improve label layout

  Change

  * Raise nbxmpp version
  * Rename XML Console to Debug Console
  * Windows: Use PyWinRT instead of winsdk

  Bug Fixes

  * MessageLabel: Prevent potential segfault
  * Preview: Catch permissions related exceptions when trying to save as
  * Jingle: Fix IBB fallback
  * Application: Reactived feature actions after sm resume
  * AccountWizard: Fix layout for SecurityWarning heading
  * Store message drafts when switching workspaces (#11824)
  * Cursors: Attempt to fix getting default cursor on Wayland
  * ChatControl: Don't fail when trying to jump to deleted message
  * VCardAvatars: Don’t fail when there is no disco info available
  * ServerInfo: Don't fail if there is no certificate (#11822)
  * Prevent message row merging if message receipt status differ
  * Icons: Convert feather/lucide icons to paths in order to fix rendering issues
  * Replies: Fix icon color contrast in dark mode (#11815)
  * ConversationView: Allow consecutive highlights for the same row (#11813)
  * MessageRow: Check for message direction when trying to merge rows (#11599)
  * Keyring: Catch more exceptions for delete_password (#11793)
  * ServiceDiscoveryWindow: Catch RuntimeError when starting without connection (#11809)
  * MessageInput: Fix Hangul last-letter bug
  * Utils: Catch exceptions when trying to load surfaces and icons (#11800)
  * HTTPFileTransfer: Improve error fallbacks (#11799)
  * ComponentSearch: Convert all items to str when copying result row (#11797)
  * Catch errors when trying to store pasted image (#11787)
  * Advertise message styling support
  * Preview: Set downloading state early to avoid having multiple downloads simultaneously (#11775)
  * ChatActionProcessor: Fix text buffer interaction (#11769)
  * ChatBanner: Disable selecting name_label (#11732)
  * AdHoc: Send adhoc command to resource if there is one
  * Settings: Include all default settings as fallback
  * DBus: Don’t fail if no file descriptor list is returned
  * Require a space after '/me'
  * Don’t fail to start on sentry_sdk import error
  * OMEMO: Process events only once per account
  * MessageInput: Don’t shift focs when pressing SHIFT (#11715)
  * Shortcuts: Fix focus issues with Ctrl+ shortcuts for Windows and Linux
  * Servers: Remove defunct servers from server list
  * Windows: Use os.startfile with 'open' parameter
  * Windows: Remove problematic DLL

Gajim 1.8.4 (25 Nov 2023)

  New

  * Add shortcuts for quoting previous messages

  Improvements

  * Raise nbxmpp log level
  * Passwords: Use JID as username instead of account (#11684)
  * MUC: Allow nick change for IRC channels
  * HTTPUpload: Remove temporary files after transfer (#11579)
  * MessageInput: Regain focus on common key presses

  Change

  * Raise nbxmpp version

  Bug Fixes

  * ShortcutWindow: Remove duplicated entry
  * SearchView: Fix displaying results for newly created group chats (#11681)
  * ChatList: Update mute state periodically (#11456)
  * Icons: Register icon size to make it work for scale > 1
  * Message input: Don't allow text actions if input is disabled
  * Avatar: Draw status circle correctly for scale > 1

Gajim 1.8.3 (06 Nov 2023)

  Improvements

  * Profile: Show error page on errors after saving
  * Close main window when pressing Escape key (#11543)

  Bug Fixes

  * GroupchatRoster: Display participants correctly on reveal
  * Filetransfer: Always focus confirm button (#11672)
  * AccountWizard: Don’t allow multiple anonymous accounts for the same domain
  * AccountPage: Show anonymous address
  * Accounts: Don’t try to save password for anonymous accounts
  * Message row menu: Show quote and copy actions only if there is text (#11652)
  * Audio/Video: Disable broken stun server code (#11559)
  * Presence: Don’t fail on unknown MUC presences (#10967)
  * Control: Add events with correct timestamp (#11670)
  * Avatar: Send presence after changing avatar (#11669)
  * ServerInfo: Use domain instead of hostname for queries (#11653)
  * Emojis: Improve detection of shortcode start (#11594)
  * DBusFileManager: Set self._proxy attribute on init (#11668)
  * GroupchatRoster: Check for contact before trying to load roster (#11666)

Gajim 1.8.2 (29 Oct 2023)

  New

  * Allow adjusting user interface font size via hotkeys (#11343)
  * Display composing participants in MUC chat banner
  * ChatBanner: Show contact tooltip when hovering the avatar
  * Hint that a contact is a bot in the chat banner
  * Support multiple item dataforms (#10857)
  * Display gateway icon in avatars
  * RosterTooltip: Display BareContact presence (#10963)
  * Display status message in banner
  * ChatMenu: Always show "Execute command" action

  Improvements

  * MUC features: Use better icons for public and anonymous properties (#11585)
  * Allow GroupChatInfoScrolled to be set with minimal information (#11662)
  * Settings: Allow to set step size for spin settings; bind setting value
  * StartChat: Better discover MUC services
  * StartChat: Allow to start chats with domain JIDs
  * ChatBanner: Don't show QR code for privated MUCs (#11647)
  * Windows: Add gst-plugins-bad dependency for broader media preview support (#11638)
  * MUC: Raise rejoin timeout
  * Accounts: Be more consistent with chat state settings
  * GroupChatInfo: Improve scaling of subject text (#11586)
  * Windows appx: Add URI handler for xmpp: URIs

  Change

  * Raise GLib version
  * Avatar: Don’t use custom avatar for IRC group chats
  * Raise nbxmpp version
  * Depend on Pillow >= 9.1.0

  Performance

  * View: Reset view faster

  Bug Fixes

  * VideoPreview: Disable preview on destroy (#11657)
  * GroupchatDetails: Depend on joined state for some elements (#11661)
  * GroupChatInfo: Align max width of labels
  * SynchronizeAccounts: Adapt to connection state changes (#11650, #11651)
  * Tooltip: Do not escape presence status text
  * Chatstates: Remove timeout id on remote timeout
  * NotificationManager: Update actions if online state changes (#11642)
  * Caps: Add disco info to cache after query
  * MUC: Don’t show old join errors when disconnected from room
  * MUC: Always remove rejoin timer when closing chat
  * MUC: Update state correctly on disco info error
  * Switch phone icon to something more widely supported
  * ChatListStack: Handle missing last visible child
  * Observable: Fix race condition when removing handlers
  * PasswordDialog: Use verb instead of noun for log in button
  * AdHoc: Wrap notes label
  * Unpack string correctly while handling update error
  * CSSConfig: Quote font-family property correctly (#11600)
  * File transfers: Don't fail when tryting to send non-existing file
  * MusicTrackListener: Don't fail if playing track could not be determined (#11607)
  * Catch error if loading image with PIL fails due to unidentifiable image (#11616)
  * CSSConfig: Fix parsing float sizes for font description
  * Modules: Make sure BaseModule.cleanup() is always called on destroy
  * Roster: Unregister all handlers on destroy
  * Observable: Don’t allow to register handler multiple times
  * View: Add newline after username when copying a message (#11610)
  * Show notification on group chat mentions again (#11613)
  * Make it impossible to connect without config (#11608)

Gajim 1.8.1 (07 Aug 2023)

  New

  * Add setting for default encryption

  Improvements

  * XMLConsole: Enable browsing sent stanzas in message input (#5403)
  * Sort cprofile output after total time
  * Moderation: Handle unknown moderator JID
  * Preview: Always show preview widget (#11427)
  * Preview: Add loading placeholder (#11264)
  * Account page: Show our XMPP address

  Performance

  * Idle: Raise poll interval

  Bug Fixes

  * Search: Don't fail while closing if no chat has been loaded before (#11588)
  * Dataform: Correctly serialize multi list fields
  * Profile: Respect avatar/nickname privacy setting on consecutive changes (#11584)
  * Don’t forget ignored TLS errors from previous connects (#11574)
  * App menu: Add missing mnemonic for Accounts menu
  * Gateway: Fix roster method call
  * Contacts: Fix supports_{audio,video} property
  * AvatarSelector: Fix crash on reset (#11563)
  * CertificateBox: Catch exception if cert does not offer extension (#11560)
  * CreateGroupchatWindow: Improve handling of MUC service availability (#11557)
  * Preview: Show error if file saving directory is not available (#11558)
  * SecurityLabels: Display labels for messages received with MAM
  * DataForm: Handle destroy correctly (#11548)
  * ChatListRow: Always update group chat name
  * Fix showing MAM sync errors and show error text
  * OMEMOTrustManager: React correctly to connection changes (#11547)
  * Fix interaction of GroupchatRoster and SearchView (#11546)
  * Init plugin translation module later
  * GroupchatManage: Improve checks for joined state (#11231)
  * Search: Restore group chat participants list to previous state when closing search (#11536)
  * Windows themes: Don't fail hard when winsdk UISettings are not available (#11542)

Gajim 1.8.0 (27 May 2023)

  New

  * XMLConsole: Add logging view
  * JID sharing: Include verified OMEMO fingerprints
  * Detect dark theme on Windows
  * Integrate OMEMO plugin
  * Redesign Group Chat actions (#10362)

  Improvements

  * Audio preview: Support more mime types
  * ChatBanner: Add share instructions
  * ChatList: Clear row content when removing history (#11420)
  * XMLConsole: Always use dark theme
  * AboutDialog: Show libsoup version
  * GroupchatState: Show MAM sync
  * ChatList: Improve sorting
  * Make contact details/settings available when offline
  * ACE: Make descriptions selectable and copyable
  * Notifications: Withdraw all when a corresponding chat is read (#11030)
  * ChatList: Show indicator if group chat is not connected
  * ChatList: Show indicator when joining group chat
  * StartChat: Don't filter for account labels (#11494)
  * ChatStack: Only respond to supported drag-n-drop types while dragging
  * App menu: Add menu entry for privacy policy
  * GroupchatRoster: Highlight own nick and sort it to the top (#11431)
  * CertificateDialog: Add additional infos and remove org unit field (#11461)
  * GroupchatDetails: Hide OMEMO page in public MUCs
  * ChatBanner: Add QR code for sharing JIDs (#11429)
  * Windows: Package pixbuf loaders for avif and webp

  Change

  * Raise nbxmpp version
  * Remove "escape_key_closes" from ACE
  * Enable spell checker by default
  * OMEMO verification: Generate URIs with pedantically correct query
  * Raise gajim when no cmdline options are provided (#11482)

  Performance

  * QR codes: Avoid roundtrip to PNG in storage and back

  Bug Fixes

  * ProfileWindow: Don't fail when no vcard is set
  * ContactInfo: Don’t fail when no vcard is set
  * Message menu: Fix issue with chats not supplying correct ID
  * Exceptions: Fix sending reports via sentry in conjunction with proxy settings
  * ChatActionProcessor: De-duplicate emojis
  * Fix encryption deadlock with changed MUC configurations (#11421)
  * UI: Update avatar on muc-disco-update
  * AvatarSelector: Fix that images don't display after repeated loading
  * SearchView: Don't change search context when switching chats (#11533)
  * SearchView: Remove overlay (#11412)
  * ChatActionProcessor: Allow to click items with mouse cursor (#11445)
  * MessageWidget: Don't return truncated text for message actions Fixes [#11526](https://dev.gajim.org/gajim/gajim/issues/11526) (#11526)
  * Idle: Use default xa implementation for XSS backend (#11522)
  * ConversationView: Fix loading messages going forward from specific point (#11201)
  * ACE: Handle invalid numeric values gracefully
  * XMLConsole: Select first account by default (#11498)
  * Fix rendering of copied code blocks and quotes (#11499)
  * ContactInfo: Improve behavior for connection changes
  * Fix access to GnuPG keys on flatpak (#621)
  * Fix showing status icon on flatpak
  * Escape JIDs for xmpp URIs everywhere
  * Ask for confirmation when leaving a MUC while offline (#11487)
  * ContactInfo: Improve behavior for connection changes (#11439)
  * Make manually changing the pinned chat sort order work again
  * MessageActionsBox: Update send file button tooltip when switching chats (#11473)
  * GroupChatRoster: Make scrollbar the right-most widget (#11290)
  * GroupChatInviter: Don't filter by account name (#11474)
  * Preview: Display webp and avif images on Windows correctly
  * CertificateDialog: Display issued-to information correctly
  * AccountWizard: Respect global proxy (#11452)

Gajim 1.7.3 (03 Apr 2023)

  New

  * Allow muting chat notifications

  Improvements

  * Make `gemini` URIs clickable
  * Workspace menu: Always show Mark as read action

  Change

  * Raise nbxmpp version

  Bug Fixes

  * Audio Preview: Set correct pos when clicking into visualizer
  * Audio Preview: Add delay before pausing on EOS (#11423)
  * Flatpak: Fix drag and drop (#10370)
  * GroupChatDetails: Adapt to changed icons
  * Message input: Fix height for single line messages
  * Update message merged state after deleting a message (#11438)
  * ChatActionProcessor: Fix inserting emojis by click (#11445)
  * Account preferences: Adapt to changed icons

Gajim 1.7.2 (09 Mar 2023)

  Improvements

  * Declare that the installer is DPI-aware
  * Windows installer: Add Polish language
  * Add message menu entry for deleting messages locally
  * Proxies: Add 'Tor (Browser)' default proxy setting
  * Windows: Add direct download for Gajim Portable updates
  * Windows: Offer direct download of Gajim setup when update is available
  * Select group chat after creating it (#11304)
  * Don’t color log timestamps
  * PEPConfig: Ask for confirmation when deleting nodes
  * Improve get_recent_muc_nicks query
  * Improve check for message highlight and add tests
  * Tests: Use in-memory settings database
  * Add audio/x-wav to default mime types
  * Audio preview: Allow skipping by clicking the visualization (#11392)

  Bug Fixes

  * Migration: Don’t fail on color setting migration (#11426)
  * HTTPUpload: Respect infinite file size limit (#11436)
  * Chatstates: Remove composing timeout correctly
  * Show chat notifications when chat page is not visible (#11416)
  * Don't fail if contact name for MUC message is None (#11417)
  * Notifications: Honor notification_preview_message setting
  * Fix nickname highlight in group chats (#11413)
  * Profile: Don't allow saving profile when not connected (#11401)
  * GetRelativeTimeTest: Fix comparison of translated strings and off-by timezone errors
  * Don't highlight message if it's an URI containing our nick (#11387)
  * Nickname completion: Make sure recent nicknames list does not contain None (#11394)
  * Plugins: Don't fail hard on uninstall errors (#11389)
  * Start Chat: Fix wrong JID type in _start_new_chat (#11398)

Gajim 1.7.1 (08 Feb 2023)

  New

  * Improve KeepassXC Integration

  Improvements

  * MUC: Enable archiving when creating MUCs on ejabberd

  Change

  * Raise nbxmpp version to 4.2.0

  Bug Fixes

  * Apply SASLprep to passwords
  * Make switching status work again

  Notes

  If you already used KeepassXC with Gajim, enabling the new
  integration setting will trigger new entries in the password manager

Gajim 1.7.0 (03 Feb 2023)

  Improvements

  * Preferences: Add 0 and 25 MiB to preview size settings (#11385)
  * Account wizard: Don't allow to add account twice

  Change

  * Port to pyproject.toml

  Bug Fixes

  * Fix loading localised emojis
  * HTTPUpload: Don’t cache temp path (#11373)
  * JingleAudio: Always resample audio before processing with webrtcdsp (#11023)
  * Disable legacy ciphers in cryptography

  Notes

  The port to pyproject.toml brings changes about how to package Gajim.
  Please read the README to find all information about metadata generation.

Gajim 1.6.1 (14 Jan 2023)

  Improvements

  * AdHocCommands: Refresh commands list after completing command (#11356)
  * Limit message length and add FullMessageWindow
  * ChatList: Improve timedelta function
  * CreateGroupchatWindow: Add Advanced switch and always show address entry (#11310)
  * UX: Make more text labels selectable/enable can-focus for copying (#11336)
  * AccountPage: Add menu item to deny all subscription requests (#11367)
  * Account menu: Add Execute Command… entry for convenience
  * AccountPage: Make all account menu items available (#11329)
  * AccountPage: Add menu entry for adding contacts

  Change

  * Raise required nbxmpp version

  Bug Fixes

  * Notifications: Fix rare case where Gajim displays notifications for our own messages (#11305)
  * ServiceDiscoveryWindow: Fix jumping when resizing window (#11239)
  * Don't fail in mark_as_unread if there are no messages (#11360)
  * Profile: Fix setting avatar (#11371)
  * AvatarChooser: Fix file filter for Windows
  * Audio Preview: Sync clock to make short files play properly on Win
  * ChatStack DnD: Add workaround for mis-fired drag-motion signal (#11226)
  * AudioPreview: Make visualization fully RTL compatible again and ensure graph is always drawn
  * Preview: Handle exceptions while decrypting
  * Audio Visualizer: Port deprecated methods
  * AudioPreview: Always format progress time as LTR
  * AppPage: Differentiate between updates (Gajim/Plugins) (#11363)
  * GroupChat: Display reason when group chat is destroyed

Gajim 1.6.0 (06 Jan 2023)

  New

  * Allow sending files by copy-pasting them from file managers
  * Preview: Add audio preview controls and visualization
  * Resurrect URI-specific context menus

  Improvements

  * Highlight the file when opening containing folder
  * BaseAvatarChooserDialog: Allow all image types (#11328)
  * Timestamps: Use date/time format preference in more places (#10948)
  * AppPage: Show date for last update check
  * Add dedicated context menu for non-specific URI types
  * Restore ability to manually disambiguate JID-like addresses
  * Use the unified Start/Join Chat flow for ?join links

  Change

  * Raise required nbxmpp version to 4.0.0
  * Depend on Python 3.10
  * Port to libsoup3

  Bug Fixes

  * CertificateBox: Format serial number in hex (#11335)
  * MessageActionsBox: Restore emoji button behavior (#11350)
  * Settings: Add migration for global MUC search api endpoint
  * AccountWizard: Remove subscriptions after successful login (#11342)
  * Audio Preview: Fix visuals on EOS while seeking
  * Audio Preview: Don't let seekbar handle jump to end on EOS when user is seeking
  * Commands: Attempt to parse only if message can have a command (#11341)
  * Add missing PyGObject dependency to setup.cfg
  * Notifications: Use correct nickname for /me messages (#11334)
  * AvatarSelector: Set default crop scale to 1.0 (#11331)
  * Menus: Don’t use GLib variant text format parsing (#11331)
  * Fonts: Fix emoji rendering on MacOS
  * Remember last folder correctly after sending file
  * Preview: Don't treat multi-line message body as previewable URL

Gajim 1.5.4 (04 Dec 2022)

  Improvements

  * DataFormWidget: Set min width on right box (#11222)
  * MUC: Add method for aborting join
  * Message selection: Improve wording for deselecting messages
  * Message selection: Improve styling
  * Features: Add entry for Audio Preview
  * Styling: Introduce URI scheme whitelisting (#11266)
  * Message selection: Use date_time_format instead of time_format
  * Settings: Unify timestamp settings (#10948)
  * Prettify display of geographical locations
  * ChatList: Scroll to top when switching workspace
  * Preferences: Improve preview settings
  * Chatstates: Add a timeout for the "composing" animation
  * Accounts window: Use equal widths for account switch label
  * VCardGrid: Linkify all URI-type fields iff they are valid URIs
  * URI parsing: Detect invalid file URIs earlier
  * Styling: Validate link syntax deeper and *after* parenthesis correction
  * Add msg_log_id to live message events (#11263)

  Change

  * Dependencies: Remove pyOpenSSL, add python-cryptography
  * Jingle: Remove XTLS support (#11160)
  * Add FileTransferSelector as a central page for sending files (#9511)
  * Block opening file:/ links by default (#11276)

  Performance

  * Control: Request history more efficiently

  Bug Fixes

  * Preview: Handle multiple simultaneous certificate verification errors
  * Styling: Linkify URIs only if at the start of a word
  * MessageInputTextView: Reintroduce gui_extension_point
  * GUI tests: Adapt GUI tests to Gajim changes
  * SSLErrorDialog: Fix test, remove OpenSSL usage
  * ChatFunctionPage: Don't close control on cancelling join error (#11116)
  * SearchView: Set chat type correctly for ResultRows (#11087)
  * Chatstates: Switch to Chatstate.ACTIVE after timeout
  * GroupchatRoster: Set visibility when hiding
  * MessageActionsBox: Reintroduce gui_extension_point
  * Preview: Respect MUC context for PMs (#11289)
  * ConversationView: Fix scrollbar not being the right-most widget
  * Preview: Stop further processing if decompression bomb detected (#11280)
  * URI parsing: More robustness with geo URIs
  * URI parsing: Properly unescape mailto URIs
  * URI parsing: Properly unescape XMPP URIs and handle unknown query types
  * MessageInputTextView: Handle is_correcting if no contact is set (#11272)
  * Fix various issues with chat markers
  * Plugins: Replace usage of gui_extention_point()
  * CSS: Fix settings related inconsistencies
  * CSS: Move overriding rules to bottom (#11269)
  * Message selection: Don’t fail hard if log_line_id is None (#11263)
  * Don’t fail when trying to reset last message id

Gajim 1.5.3 (31 Oct 2022)

  New

  * Allow to copy multiple messages
  * Accounts: Add setting for default workspace (#11208)

  Improvements

  * Preferences: Add send_on_ctrl_enter setting (#11242)
  * Add actions menu to Start Chat button (#11241)
  * ExceptionDialog: Close dialog with ESC
  * ChatList: Show drafts
  * StartChat: Recognize input of xmpp uris
  * Workspaces: Add 'Mark as read' menu item (#11198)
  * Improve emoji completion
  * ACE: Enable reset button only for changed values
  * Avatar: Follow modernxmpps suggestions for color generation

  Change

  * Raise nbxmpp version
  * Preferences: Add escape_key_closes to "Chat" section
  * Preferences: Reorder "Chat" settings and add a "General" section
  * Preferences: Move show_chatstate_in_banner to ACE settings
  * Remove confirm_paste_image setting
  * Remove setting to hide the chat banner

  Performance

  * GroupchatRoster: Don’t load roster when its hidden
  * Emoji completion: Abort early if max menu entry count reached

  Bug Fixes

  * Disable loading of GUPnPIgd library (#11183)
  * Remote: Make get_status() return correct status when offline
  * Plugins: Use correct gettext import
  * Make strings translatable
  * Enable emoji chooser action
  * AvatarBox: Only react to clicks for GroupchatContacts
  * Remote: Return True for change_status
  * ChatActionProcessor: Popdown on focus out event (#11254)
  * Avatar placeholders: Correctly use the first grapheme as the "letter"
  * Fix quoting /me messages (#11224)
  * StartChat: Don’t use jid argument for global dialog
  * Try leaving group chat only if account is online (#11247)
  * AccountPage: Disable profile button when not connected (#11249)
  * MUC: Allow changing subject if there is none (#11250)
  * PluginsWindow: Fix typo in plugin tooltip
  * PluginManager: Block plugins which have been integrated into Gajim (#11244)
  * MessageInputTextView: Fix correction mode when switching chats (#11213)
  * AdHoc: Make MultiLineLabel selectable
  * Settings: Check if account is connected before trying to get context (#11243)
  * Styling: Various link parsing issues (#11218#11144)
  * Windows build: Remove build time package remnants (#11234)
  * Send message icon: Increase line width and make icon symbolic
  * Accounts: Use account label for disable confirmation
  * AccountBadge: Update colors correctly
  * Update account label when changing label setting (#11238)
  * SearchView: Scroll to to when resetting (#11240)
  * Notification: Draw avatar correctly on scale > 1 (#11229)
  * Preview: Don’t fail hard when parsing fragments
  * PreviewAudio: Increase update rate for seek bar (#11215)
  * AccountPage: Disable Execute Command button by default (#11216)
  * Client: Load trusted certificates on connect() (#11220)
  * ChatList: Don’t increase in width while drag and drop
  * Roster: Always show workspace when starting chat
  * WorkspaceSidebar: Don't increase in width while drag and drop (#11210)
  * ChatFunctionPage: React to connection changes (#11206)
  * Preview: Set user-agent for session (#11205)
  * SearchView: Limit displayed results to account_id of contact
  * Don’t fail when disabling accounts (#11199)

Gajim 1.5.2 (08 Oct 2022)

  New

  * PEPConfig: Add PEP item view
  * Add shortcut to restore chats after closing (#11088)
  * ServerInfo: Add TLS version and cipher suite

  Improvements

  * XMLConsole: Apply account filter to all visible stanzas (#11193)
  * Features dialog: Simplify statements on Windows
  * MessageRow: Set text direction for RTL text (#11148)
  * AvatarSelector: Add border to mark drag and drop zone
  * Drag and drop: Highlight target areas (#11173)
  * GroupChatNickCompletion: Simplify suggestions (#11155)
  * MUC: Add participant menu to avatar
  * StartChat: Add timeout when requesting MUC disco info
  * StartChat: Pass message body from XMPP URI (#11140)
  * Windows: Ellipsize body text in notifications
  * Emojis: Improve shortcode usability
  * Avatars: Use PangoCairo for generate_avatar (#10960)
  * Emojis: Extract codepoints for all emoji variants

  Change

  * Raise nbxmpp version
  * Show account color bar only when multiple accounts are active

  Performance

  * Remove queue_resize leftover from MessageTextView
  * SearchView: Update calendar only if widget is visible
  * SearchView: Speed up clearing of search results (#11158)
  * Styling: Parse emojis for Darwin only

  Bug Fixes

  * Control: Load events before messages (#11129)
  * Fix disabling accounts while reconnecting (#11194)
  * Use custom icon for 'Send Message' action
  * MessageActionsBox: Don’t fail if no contact is set while updating file actions
  * Scroll to end after sending message (#10871)
  * Update chat actions when account state changes (#11184)
  * StatusIcon: Reset unread state correctly when using Flatpak (#11069)
  * Notifications: Show correct message sender for MUC notifications (#11177)
  * Discovery: Don’t allow to join top level components (#11175)
  * ChatList: Show context menu in correct position (#11165)
  * Styling: Allow dots in local part of email addresses
  * ChatList: Set message_id correctly (#11168)
  * Notifications: React to incoming group chat messages (#11161)
  * When removing a chat, clear view only if it's currently loaded (#11164)
  * AccountPage: Disable Ad-Hoc Commands button when offline (#11167)
  * CreateGroupchatWindow: Fix Create button state when switching MUC type (#11162)
  * React correctly to UserAvatar updates (#11065)
  * GajimRemote: Remove not needed shebang

Gajim 1.5.1 (19 Sep 2022)

  Bug Fixes

  * ChatBanner: Format markup string correctly

Gajim 1.5.0 (19 Sep 2022)

  CVE-2022-39835

  This release fixes a vulnerability which allowed attackers to craft a XML
  stanza in a way, so Gajim would accept it as message correction for messages
  not originating from the attacker.

  New

  * Add drag and drop support for pinned chats
  * Workspaces: Add shortcuts for switching
  * Refactor ChatWidgets so they are only created once (#10987, #11038, #10973, #10119, #11052, #10945)

  Improvements

  * Preview: Improve mime type detection (#11150)
  * SearchView: Add hint for search filters (#11136)
  * Preview: Show left click action tooltip on icon (#11138)
  * ACE: Highlight non-default values (#11120)
  * XMLConsole: Use SourceView for XML input (#11121)
  * Migration: Make archive migration more resilient
  * Workspaces: Move chats when removing workspace (#11098)
  * ChatList: Always show when switching workspace (#11108)
  * MessageActionsBox: Disable encryption button if MUC is public (#10959)
  * Increase contrast for message row meta elements
  * StatusIcon: Use new icon for pending events
  * WorkspaceSidebar: Allow removing workspace from context menu
  * AccountPage: Add button for Ad-Hoc commands
  * Don’t try to query avatars in MUCs which don’t allow it (#10937)
  * Don’t disco MUC participants on presence
  * Chatstate: Don’t make too many assumptions
  * Windows: Increase default font size
  * CSS: Use relative sizes for fonts
  * ChatControl: Show error if encryption plugin is missing
  * Store and restore running HTTP File Transfer uploads
  * Add button for toggling chat list (#11035)
  * ContactInfo/GroupchatDetails: Toggle icon when editing name

  Change

  * Raise nbxmpp version
  * Raise PyGObject version (#11132)
  * Add requirement for min sqlite version
  * ChatBanner: Add button for managing voice requests
  * Remove IPython support
  * Rework ChatCommands
  * Shortcuts: Use Ctrl+F for opening the search bar (#11073)
  * Remove clear-chat action (Ctrl+L)
  * Raise required nbxmpp version to 3.2.2

  Performance

  * Use Task Queue to request avatars on MUC join

  Bug Fixes

  * GroupchatState: Hide when we are offline
  * Corrections: Don’t correct message if text has not changed (#11146)
  * Make plugin usable check work on all unix/linux systems (#11134)
  * MUC: Don’t ignore MUC invites when ignore_unknown_contacts is set (#11107)
  * Make shortcuts more discoverable (#11122, #11127)
  * Better validate message corrections
  * MUC: Improve automatically adding members on invite
  * Preview: Sanitize filename from disallowed chars (#11105#10752)
  * Chatstates: Don’t sent chatstate delayed to ourself
  * Don’t reset setting when closing single chat
  * Preview: Don’t fail if thumb file already exists (#11091)
  * MessageInputTextView: Account for having multiple blocks when applying style (#11015)
  * ActionMenu: Correctly execute text actions if text contains underscore
  * InfoMessage: Don’t escape text
  * MUC: Send password and reason correctly on invite
  * Preview: Reset received size before cancelling or downloading
  * BlockingList: Don’t fail with placeholder address (#11084)
  * ChatList: Update status for private chats correctly
  * ChatList: Update avatar for all chats correctly
  * GroupChat: Handle nickname changes correctly
  * Roster: Add missing contact-info action
  * Make switch-next-unread-tab action work
  * ChatBanner: Use correct scaling for chatstates
  * FileTransferRow: Don’t cancel transfer when switching chat
  * ChatBanner: Don’t show phone icon for group chats
  * Don’t handle message-sent even for groupchats
  * ChatBanner: Display account badge again
  * Make nick completion test pass
  * Preview: Store last_save_dir with Save As
  * Preview: Make sure the widget is not being destroyed while updating (#10920)
  * Fix handling of URLs without scheme (#11059)
  * GroupchatState: Call correct page for not-joined
  * ChatControl: Don’t assume messages always have a resource (#11042)

  Notes

  * ChatCommands have been reworked. Only following commands are now available

    - status
    - invite
    - ban
    - affiliate
    - kick
    - role

  * Ctrl+H for opening the search bar has been removed, please use the
    commonly used Ctrl+F (find). The shortcut for starting a file transfer
    has been dropped.

Gajim 1.4.7 (24 Jul 2022)

  Improvements

  * Startup: Show hint in console if Gajim is already running (#11039)
  * Preview: Add setting to disable file preview (#10991)

  Performance

  * Roster: Don’t invalidate filter on contact update
  * Roster: Sort more efficiently

  Bug Fixes

  * Settings migration: Don’t fail on missing proxies key (#11050)
  * Chat Markers: Don’t send marker for outgoing messages (#11043)
  * Main Window: Move to stored position on startup
  * Preview: Allow manual download for all mime types (#11044)
  * GroupchatInfo: Don’t set subject when loading from disco info (#11040)
  * Preview: Hide download hint if we sent the file (#11036)

Gajim 1.4.6 (07 Jul 2022)

  Improvements

  * Roster: Display show value in tooltip (#11010)
  * ChatActionProcessor: Improve detection of emoji shortcode start

  Bug Fixes

  * Flatpak: Fix display of tray icon using libappindicator (#10869)
  * Remote: Console scripts need a method as entry point (#11034)
  * CodeWidget: Don’t default to python for highlighting (#11012)
  * ContactInfo: Preserve groups when changing contact name (#11028)
  * CodeWidget: Don't highlight matching brackets (#11026)
  * StatusIcon: Don’t lose new message icon on state change (#11013)
  * GtkStatusIcon: Always show when Gajim has not toplevel focus
  * GroupChatNickCompletion: Only process Tab press
  * Notifications: Change Gdk window hints on Windows (#11008)
  * Row name: Align label correctly
  * StatusIcon: Logic error on activate

Gajim 1.4.5 (21 Jun 2022)

  New

  * Add new Shortcut for toggling the chat list

  Improvements

  * Preferences: Add setting for emoji shortcodes
  * Disable plugin updates by Gajim on flatpak

  Bug Fixes

  * Use nickname provided in subscription requests everywhere
  * GroupchatOutcasts: Make removing users work
  * Chat: Display corrections for /me messages correctly (#10933)
  * Styling: Process URIs when using /me command (#10988)
  * Preview: Align link button correctly (#10997)
  * MUC: Don’t fail on presence from unknown occupants (#10981)
  * SystemStyleListener: Fix handling of color scheme states (#10996)
  * Styling: Improve address regex
  * Styling: Improve uri regex
  * Styling: Parse text correctly which contains uris and addresses (#10974)
  * Main: Process window shortcuts when no chat is open
  * Restore minimal AdHoc module

Gajim 1.4.4 (18 Jun 2022)

  New
  
  * Add support for inputing emoji short codes
  * Add freedesktop colorscheme preference support
  * Add new CLI command --show
  * Add new CLI command --cprofile
  * Preferences: Add `Action on Close Button` setting
  * Preferences: Add `Show in Taskbar` setting
  * Preferences: Add D-Bus Interface setting
  * Rewrite gajim-remote
  * #10040 Logind: Listen to system shutdown and quit Gajim gracefully
  
  Improvements
  
  * CreateGroupchatWindow: Enable emoji completion for description
  * CreateGroupchatWindow: Produce valid addresses from name
  * Gateways: Use avatar if published
  * History: Add Keep History 'Until Gajim is Closed' option
  * MUC: Base invitation type on MUC type and affiliation
  * Rework DBus Remote Interface
  * StatusMessageSelector: Enable emoji completion
  * #10908 Group chats: Ask for confirmation before leaving
  * #10958 #10949 #10943 Preview: Improve layout and display errors
  
  Performance
  
  * #10828 Limit message size for styling

  Change

  * Remove remote AdHocCommands feature
  * #10986 Remove ask for status settings
  
  Bug Fixes
  
  * Chat banner: Show phone image if last message came from a phone
  * Flatpak: Determine notification backend caps with dbus
  * Groupchat: Prevent automatic roster revealer toggling on join
  * Make plugins_repository_enabled available via ACE
  * MucJoinLeft: Align timestamp correctly
  * NotificationManager: Make displaying an invitation more robust
  * StatusIcon: Reliably raise/hide window
  * #10900 Groupchat: don't steal active msg textbox focus
  * #10913 Groupchat: Load GroupChatState widget early
  * #10934 DBus: Unify presence signals
  * #10938 JingleAudio: Check if webrtcdsp is available
  * #10944 Groupchat: Show correct icon when toggling roster revealer
  * #10950 WorkspaceDialog: Show correct settings for workspace if there is only one
  * #10953 Status messages: Check for correct setting
  * #10955 MessageInputTextView: Don’t remove tags for spell checking
  * #10961 Workspaces: Fix image scaling
  * #10965 AvatarSelector: Add fail-safes for loading images
  * #10977 Limit max quote recursion
  * #10978 Make drag & drop more reliable
  * #10984 Preview: Don’t fail on invalid IPV6 urls
  * #10985 Remote: Don’t fail on list_contacts
  * #10989 Preview: Catch PIL errors while generating preview

Gajim 1.4.3 (01 Jun 2022)

  Improvements
  
  * AppPage: Show plugin update notifications
  * ChatList: Add middle mouse click for closing a chat
  * DirectorySearch: Use Gio.Menu, add Start Chat item
  * Group chat roster: Store visibility
  * Smaller Jingle file transfer widget
  * Unify ContactInfo and GroupchatDetails elements width
  * Windows: Change PANGOCAIRO backend to enable colored emojis
  * Windows: Enable native emoji chooser
  * Workspaces: Add Move to new workspace functionality
  * #10812 Workspaces: Enable emoji picker
  * #10876 Windows: Simplify installer
  * #10905 Avatars: Render emojis correctly
  
  Bug Fixes
  
  * AddContact: Fix opening AdHocCommands window
  * ContactInfo: Fix copying name and JID by Ctrl+C
  * DirectorySearch: Correctly connect form validation
  * Don’t fail on GajimPlugin equality test
  * History: Don’t remove JID IDs from database
  * InfoBar: Add style rule for anchors in dark mode
  * Make GStreamer an optional dependency again
  * Plugins: Unregister modules after calling deactivate()
  * Replace user-visible strings of 'Groupchat' with 'Group Chat'
  * WorkspaceDialog: Disable Remove button for last workspace
  * #10903 Notifications: Show correct chat when clicking notification on Windows
  * #10911 AccountsWindow: Use get_app_window to reliably access window's methods
  * #10912 VCardGrid: Request minimum width
  * #10921 ChatControl: Don't update AV actions for PMs
  * #10922 Search: Add fail-safe for incomplete JID ID tables
  * #10924 StartChat: Allow transport JIDs without successful discovery

Gajim 1.4.2 (25 May 2022)

  New
  
  * SearchView: Add calendar for browsing history
  
  Improvements
  
  * MUC: Enable history when creating rooms
  * #10671 Preferences: Bind show_send_message_button to send_on_ctrl_enter
  
  Performance
  
  * #10828 MessageInputTextView: Limit chars when applying styles
  
  Bug Fixes
  
  * Accounts: Fix accessing disabled accounts
  * MUC: Display moderated messages again
  * MUC: Ignore gateway services for room creation
  * Preferences: Hide non-functional xhtml setting
  * Remove `Save conversation` setting
  * Reset conversation view when switching chat
  * #10265 Socks5: Catch specific exception
  * #10867 Status: Restore last status correctly
  * #10889 Jingle: Stop early if no transport is available
  * #10898 Roster: Filter list on contact update
  * #10898 Roster: Sort DND last
  * #10902 Don't set read marker when receiving own carbons

Gajim 1.4.1 (21 May 2022)

  New

  * Add 'Join Support Chat' help item

  Improvements

  * ConversationView: Add date for timestamps older than current date
  * SearchView: Add margins and border-radius to ResultRow
  * ConversationView: Move timestamp widget to the left

  Bug Fixes

  * Access jingle transport values fallback correctly
  * Avatar: Fallback to default avatar when image is missing
  * Draw icon avatars with correct size and scale
  * ExceptionDialog: Effectively hide sentry-sdk hint on Windows
  * HistoryExport: Process folder URI correctly on Windows
  * HistoryExport: Show error if creating path fails
  * Improve joining support chat if single account is online
  * Jingle: Use SendFileDialog for DND and paste events
  * Trayicon: Remove obsolete config option
  * #10552 Chat: Handle race condition when calling focus()
  * #10781 Bookmarks: Ignore bookmarks for roster contacts
  * #10810 Update unread counter on mention in public MUCs
  * #10833 Add workspace avatar fallback for missing images
  * #10849 Set encoding when calling open()
  * #10850 PluginManager: Make config_dialog required
  * #10851 Remove iconset leftovers
  * #10856 Handle missing trust data when displaying messages
  * #10862 Windows: Hide status icon on shutdown
  * #10865 Main: Show window correctly on startup
  * #10880 Don't fail when trying to remove chat history
  * #10883 Preferences: Add plugin settings binding for better usability


Gajim 1.4.0 (11 May 2022)

  New

  * Rework GUI (Main Window and Chat)
  * Integrate Plugin Installer
  * Integrate Image Preview Plugin
  * Integrate Syntax Highlight Plugin
  * Integrate AppIndicator Plugin
  * Allow customizing Shortcuts
  * Support Message Moderation in Group Chats
  * Allow administrators to define setting overrides

  Changes

  * Drop zeroconf support
  * Remove History Manager
  * Remove Single Message Dialog
  * Group Chat: Move many menu options into details dialog

  Bug fixes / Closed issues

  * #5671  File transfer in history
  * #7381  Wrong presence displayed if there are multiple resources with the same priority
  * #7857  Click-able Email address and Telephone number
  * #8353  Roster sort items with activity to top
  * #8412  Save and restore tab positions
  * #8584  Display vcard-temp JABBERIDs somewhere
  * #8631  Vertical tabs can not be adjusted in width in latest master
  * #8742  Integrate the Appindicator plugin into Gajim
  * #8745  Allow successive bookmarked MUC autojoins (in opposite to concurrent)
  * #8849  Error when disabling an account: Account iter of <the server> could not be found
  * #8897  Roster filter crashes
  * #8898  Roster tree elements have wrong collapse state during and after roster filtering
  * #8900  Black bar artifact below the conversation text
  * #9041  HTTPUpload: Add upload button to contact right-click menu
  * #9046  Add a "Minimize on close" in Preferences for all MUC rooms
  * #9145  Roster not showing number of contacts logged in per group
  * #9164  Chatstates: Color of tab as "typing/composing" indicator gets lost on focus
  * #9174  Changing status results in an error
  * #9202  No context menu on MUC's tab
  * #9321  Cannot allow contact to see my status
  * #9360  Allow disabling keyboard shortcut ctrl+L (clear chat window)
  * #9457  Add global search in History window
  * #9501  Mark corrected messages (LMC) in history browser
  * #9596  Add UI to search history from contact/chat window
  * #9615  Corrected messages (LMC) sporadically overlapped in the chat window
  * #9681  Highlight quotes in chat
  * #9683  Dynamically load history when scrolling to top
  * #9694  AttributeError: 'NoneType' object has no attribute 'room_jid'
  * #9695  Jingle file transfer does not work in LAN
  * #9709  Roster remove request?
  * #9712  Show multiple subscription requests in a single window
  * #9750  Command line flag to start in tray icon?
  * #9767  GDBus.Error:org.freedesktop.login1.OperationInProgress: The operation inhibition has been requested for is already running (36)
  * #9846  AttributeError in reconfig() when changing window mode: 'NoneType' object has no attribute 'contact'
  * #9847  Showing avatars disabled but avatars displayed in group chats
  * #9887  Scrolling performance issue with ConversationTextview
  * #9933  Contact missing for predefined roster after deleting history
  * #9940  Show maximized group chats in contact list
  * #9992  TypeError: unknown type (null) in on_modelfilter_row_has_child_toggled
  * #10000 Transport in roster not being discovered
  * #10108 Self contact is not always shown
  * #10123 error sending file with jingle through gajim
  * #10133 Account Wizard: Let user choose account label
  * #10166 AttributeError: 'NoneType' object has no attribute 'show'
  * #10205 Restoring conversation tabs fails if JID contains comma
  * #10236 MUC: Error in update_actions when clicking on tray notification
  * #10242 Bug with roster:  Repeating error message: "too many values to unpack (expected 2)"
  * #10248 logind timeout error (24) in _inhibit_sleep
  * #10249 StatusIcon: Show connection lost icon when at least one account is not connected
  * #10279 error after wake-up from hibernation
  * #10281 Last message correction doesn't work correctly with HTTP upload
  * #10450 Clicking a link in the message window can cause Gajim 1.3 to crash
  * #10452 Various contact list issues
  * #10455 App crashing if quit from tray in Windows
  * #10461 TypeError: can only concatenate str (not "NoneType") to str when receiving bare jid presence from localpart@component.domain.tld
  * #10472 ConfirmationCheckDialog: DELETE_EVENT does not propagate checkbox state
  * #10483 Don't interrupt onboarding with update dialog
  * #10490 Gajim does not send XHTML in MUC
  * #10493 Gajim’s minimum width is constrained by group chat window’s minimum width
  * #10496 Accounts: Login settings not accessible
  * #10506 Clicking "information" after right-click my friend causes error
  * #10512 Setting MOTD without text triggers error
  * #10513 Window management: AttributeError: 'NoneType' object has no attribute 'set_control_active'
  * #10525 Sending an empty file creates errors
  * #10526 Chat-to-MUC dialog: Contact name not shown sometimes
  * #10531 Right-click popup menu appears, but also serves me this error reporting dialog that's annoying
  * #10550 Joining a conference room: `AttributeError: 'NoneType' object has no attribute 'parent_win'` with `gc_ctrl` object.
  * #10555 Crash on start with broken OMEMO archived message
  * #10562 UnicodeDecodeError: 'utf-8' codec can't decode byte 0xfc in position 100: invalid start byte
  * #10575 AttributeError 'NoneType' object has no attribute 'parent_win' while trying to join group chat
  * #10578 Disabling account should retract status icon events
  * #10586 Answering PM from Bot leads to 'NoneType' object has no attribute 'get_full_jid'
  * #10599 MUC notifications: add sender's nickname
  * #10608 Non-square shaped avatars are not displayed properly
  * #10635 Groupchat mention notifications produce sound in do-not-disturb although settings are set not to do so
  * #10644 Notification: Error in handle_event when clicking button (login failed)
  * #10658 Account wizard stuck on spinner when connected to broken server
  * #10666 Creating a new groupchat fails if there is no network connection
  * #10667 Show username/JID in password request dialog
  * #10669 mumble:// URIs are not linkified and can't be clicked to open
  * #10676 Files containing %20 do not download/upload correctly
  * #10677 Jingle: file-sent-error not handled correctly
  * #10678 Invalid version error when launching from a repository checked into Git
  * #10692 ValueError: no kind attribute
  * #10695 MUC Participant Information Dialog Device Page
  * #10696 Clicking Avatar in MUC should focus Message Input
  * #10697 AttributeError
  * #10710 Click on found history item causes AttributeError: 'Row' object has no attribute 'stanza_id'
  * #10713 Gajim UI unresponsive during history search
  * #10715 Clean up GStreamer libraries
  * #10716 Invalid type error in group chat settings
  * #10721 No image preview with special image
  * #10724 Entering emoji in contact list
  * #10726 Code widget error
  * #10734 Preview: Generating fails with gdk-pixbuf-error-quark: Unrecognized image file format (3)
  * #10736 Preview Generating with PIL fails with OSError: encoder error -2 when writing image file
  * #10741 Remove History Manager
  * #10744 Preview own uploads
  * #10745 error when hiding notification area icon
  * #10751 Inconsistent notifications behavior in 1.4 nightlies
  * #10773 Failure to store roster notes not reported
  * #10774 AppIndicator should be used for the tray icon on Wayland
  * #10801 Unknown IQ errors shown in chat
  * #10813 Receiving a notification creates exception
  * #10814 Unable to delete custom theme
  * #10815 Improve Security Labels (XEP-0258) feature
  * #10816 AttributeError: PrivateChatControl object has no attribute
  * #10822 Exception when running contact info on a contact that stop sending status updates
  * #10841 HTTPUpload: Error not shown when filesize limit is reached


Gajim 1.3.3 (10 October 2021)

  New

  * Profile: Add NOTE entry

  Changes

  * Port AdHocCommand window to new Assistant
  * Update API JID for search.jabber.network integration
  * Build with Python 3.9
  * Provider list: Remove blabber.im

  Bug fixes

  * #10638 Depend on nbxmpp>=2.0.4 (CVE-2021-41055)
  * #10560 HTTPUpload: Raise FileError if path is not accessible
  * #10558 Fix spell checking
  * #10551 Check for gstreamer GTK plugin for AV support
  * #10545 Jingle: Fix UnboundLocalError for transports variable
  * #10540 Windows: Add GSSAPI dependency
  * #10539 Stop gdbus.exe when running uninstaller
  * #10478 Fix test_gui_interface testsuite
  * #10477 Migration routine for portable installer
  * #10441 Reload CSS after switching dark/light theme
  * #10150 Dead key improvements
  * Fix starting History Manager in standalone mode

Gajim 1.3.2 (24 April 2021)

  New

  * Accounts: Add account switch description

  Changes

  * MessageInput: Remove custom placeholder
  * MessageInput: Add focus borders

  Bug fixes

  * #10010 Only convert domain name to ASCII
  * #10342 UnicodeDecodeError related to avatars
  * #10428 Roster: Handle missing avatar_sha


Gajim 1.3.1 (01 March 2021)

  New

  * Add setting for GSSAPI authentication

  Changes

  * #10416 Remove conversion of ASCII emojis

  Bug fixes

  * #10273 VcardWindow: Fix resource string if resource is missing
  * #10424 GroupChatInvitation: Show account badge
  * #10430 Preferences: Check for pipeline before removing elements
  * #10436 Stop early when handling connection-failed in handle_event
  * #10438 Set account window stack as non-vhomogeneous
  * #10443 ServiceRegistration: Use nbxmpp register methods
  * #10445 Change dataform to href markup URLs in fixed field
  * #10450 Workaround for crash on clicking links
  * AvatarSelector: Improve error handling
  * Profile: Show error if avatar upload fails
  * UserAvatar: Handle empty data nodes
  * StatusIcon: Only hide application when its focused


Gajim 1.3.0 (08 February 2021)

  New

  * Add --gdebug option

  Bug fixes

  * Search also in user data dir for translations
  * AV: Fix closing chat window while in call
  * Chat: Don’t unselect text after key press
  * Profile: Correctly handle not existing vcard
  * Fix display problems with feather icons
  * Bookmarks: Check for config-node-max feature
  * #10401 Fix race condition when removing an account
  * #10421 Chat: Fix race condition when closing with ESC


Gajim 1.3.0-beta2 (10 January 2021)

  Changes

  * Use direct messages in non-anonymous group chats instead of PM

  Bug fixes

  * Fix a problem with the Gajim symbolic icon when opening the Accounts dialog
  * Make Gajim connect even if the Private XML Storage extension is not available on the server
  * #10235 Roster tooltip error
  * #10342 Add Workaround for UnicodeDecodingError popups
  * #10377 Profile: Make adding a Organisation entry work
  * #10384 Make the HistoryManager work again in standalone mode


Gajim 1.3.0-beta1 (29 December 2020)

  New

  * Completely rewritten settings backend
  * Redesigned Preferences user interface
  * Setting for automatic history cleanup
  * Chat-specific 'Group Chat Settings' page
  * Support for Chat Markers (XEP-0333)
  * Completely rewritten Profile window
  * Support for vCard4 (XEP-0292)
  * Redesigned Voice/Video chat interface
  * Group chat invitations show Avatars and additional infos
  * 'Mark as Read' button for message notifications
  * 'Send Message' button in chat windows
  * Windows: support for XMPP link handling
  * Preview for pasting images from the clipboard

  Changes

  * Sync threshold setting could not be migrated to new settings (please make sure to check if you set a custom value)
  * Message styling: `_underline_` style has been removed, and a new `~strikethrough~` style has been added
  * Notification for contact sign in/out has been removed
  * 'Auto copy' workaround for Ctrl+C usage in the chat window has been removed
  * If Gajim fails to join a group chat, it now offers a Retry button (and also 'Forget Group Chat')
  * Pressing the Escape key will not close chat windows by default
  * Some shortcuts now use Primary (Ctrl/Cmd) instead of Alt (which is often used by Window Management): Change Subject (`<Primary><Shift>S`), Emoji Chooser (`<Primary><Shift>M`)
  * Linux: Emoji button now opens GTK’s native Emoji chooser (with categories and recently used emojis)
  * A/V codec selection has been improved

  Bug fixes

  * Some regressions with non-english keyboard layouts have been fixed
  * Command for opening the Start Chat window (`gajim --start-chat`) has been fixed
  * A/V menu entries are now updated (enabled/disabled) correctly when receiving the contact’s capabilities
  * GSSAPI support has been fixed
  * A bug where dropping selected text on a chat window would fail has been fixed
  * 'Show status changes' setting has been fixed for group chats
  * A bug where removing a plugin would fail has been fixed
  * List of fixed issues https://dev.gajim.org/gajim/gajim/-/issues?scope=all&utf8=%E2%9C%93&state=closed&milestone_title=1.3.0


Gajim 1.2.2 (15 August 2020)

  New

  * Status Selector was reworked
  * Status Change dialog was reworked
  * Preferences: Added Setting to toggle the use of a keyring
  * Windows/Mac: Gajim notifies now about new updates
  * ServerInfo: Show more details about the current connection

  Changes

  * The status "Free for Chat" was removed
  * Default status message was removed, use presets instead
  * XHTML: Support for the <img> tag was removed
  * DBus: Ability to change settings was removed
  * Removed ability to ignore TLS errors

  Bug fixes

  * #9011 Add support for KDE notification drag and drop
  * #10176 Login Dialog throws error
  * #10192 MUC: Respect print status setting for own status changes
  * #10197 AddContact: Validate JID on input
  * #10200 MUC: Gajim fails to connect to after suspend
  * #10201 GroupchatRoster: Don’t fix height of rows
  * #10208 PluginManager: Show error correctly when plugin removal fails
  * Flatpak: Add hole for kwallet password storage
  * Fix Jingle session termination
  * #10221 ChatControl: Don’t fail when dropping text on chat
  * StatusIcon: Fix setting status


Gajim 1.2.1 (08 July 2020)

  New

  * ServerInfo: Display status address
  * Add block and spam reporting in various places
  * Roster: Allow to add contacts from `Not in contact list` group via DND
  * Roster: Allow sending message to several groups
  * Groupchat/Chat: Rework DND
  * Groupchat: Display recent history from the database

  Changes

  * Removed Privacy Lists support
  * Roster: Remove blocking whole group feature

  Bug fixes

  * #10067 Error when showing invite menu
  * #10144 Windows: Multiple instances of Gajim not possible
  * #10152 Error when trying to disactivate or delete account
  * #10160 Can't http upload with self signed Certificate
  * #10162 Add option to use fixed-width horizontal tabs
  * #10164 Timeout error when using music track listener
  * #10171 Show error when MUC invite fails
  * GroupchatRoster: Sort contacts in correct order
  * MamPreferences: Correctly display preference state for JID
  * Windows: Auto activate shipped plugins


Gajim 1.2.0 (21 June 2020)

  New

  * Add account badges
  * Add usage hint for the Start Chat dialog
  * Various smaller improvements

  Bug fixes

  * Various smaller bug fixes reported in beta


Gajim 1.2.0-beta1 / 1.1.99.1 (01 May 2020)

  New

  * Rewritten network code
  * Support for WebSocket (RFC 7395)
  * Improved proxy handling
  * Group chat pages (invite, information, nickname, subject, etc.)
  * Group chat creation window
  * Updated account creation assistant
  * Updated assistants for password changing and account removal
  * Updated server info window (connection details)
  * Updated theme manager
  * Default avatars (XEP-0392)
  * Paste images from clipboard
  * Contrast and color improvements for both light and dark themes
  * Removed 'Invisible' status
  * Removed FuzzyClock feature

  Bug fixes

  * List of fixed issues https://dev.gajim.org/gajim/gajim/-/issues?scope=all&utf8=%E2%9C%93&state=closed&milestone_title=1.2.0

Gajim 1.1.3-1 (15 January 2020)

  * Flatpak build update

Gajim 1.1.3 (23 April 2019)

  New

  * Add a mobile phone indicator to the chat window
  * Rework HTTPUpload dialog
  * Add a "paste as quote" option to the message input

  Bug fixes

  * #8822 Fix memory leak when using spell checker
  * #9514 Fix jingle filetransfers not working in some circumstances
  * #9573 Dont leak DNS query when connecting over proxy
  * #9578 Determine Windows version more reliably
  * #9622 Fix an error while quitting Gajim
  * #9633 Fix an error while sending a file
  * #9637 Restore window size correctly on wayland
  * #9660 GPG Agent setting is ignored
  * #9645 Make zeroconf IPV6 compatible
  * Improve dark theme colors
  * Fix access to GnuPG keys
  * Use UUID4 item ids for pubsub posts
  * Dont send invalid show values
  * Windows: Dont override format region settings
  * Various smaller improvements

Gajim 1.1.2 (15 January 2019)

  New

  * Remove support for XEP-0091

  Bug fixes

  * #9322 Error when adding contact
  * #9385 Ignore invalid bookmarks
  * #9386 Discovery: Browsing nodes without identity
  * #9393 Error when parsing invalid timestamps
  * #9398 Error on jingle file transfer

Gajim 1.1.1 (24 December 2018)

  Bug fixes

  * #8362 DBus: Incorrect unread message count
  * #9427 Placeholder not cleared if pasting text into message input
  * #9444 Determine the delay timestamp correctly when using mam:1
  * #9453 Fix opening links inside the group chat subject (MacOS/Windows)
  * #9465 Allow the full range of possible nicknames in group chats
  * #9067 Gajim crashes when receiving xhtml messages
  * #9096 Error when clicking on a subscription notification
  * #9446 Chatstate error in MUC conversation
  * #9471 Conversation Textview: Error on key press
  * #9472 Handle presences without from attr correctly
  * #9473 Error when creating a new group chat
  * #9491 Identify group chat subject changes correctly
  * #9496 Error on MUC roster selection change
  * Determine soundplayer correctly on unix systems
  * In some circumstances plugins could not be deleted
  * Show correct contact status on tabs
  * Dont answer group chat receipt requests
  * Fix receipts for private messages
  * Pressing the back button in the Accounts window leads to an error
  * Better handle not available keyring backends
  * Dont show incorrect contact on private messages
  * Join group chat menu is disabled when there are no bookmarks
  * Error on start chat menu action
  * Error when opening sign-in/out notification
  * Copying text does not work with different keyboard layouts

Gajim 1.1.0 (06 May 2018)

  New

  * Remove support for XEP-0091

  Bug fixes

  * #9322 Error when adding contact
  * #9385 Ignore invalid bookmarks
  * #9386 Discovery: Browsing nodes without identity
  * #9393 Error when parsing invalid timestamps
  * #9398 Error on jingle file transfer

Gajim 1.1.0-beta2 / 1.0.99.1 (13 October 2018)

  New

  * Implement XEP-0398
  * MUC: Set Threshold for requesting history
  * Show icon for unencrypted messages
  * Support more media players for broadcasting the current tune
  * Windows: Add a debug logging switch in preferences
  * Preferences: enable/disable dark theme
  * Preferences: enable/disable the MUC subject being shown on join
  * Preferences: enable/disable ascii emoji conversion

  Bug fixes

  * #9198 Creating new MUCs with capital letters is not possible
  * #9210 Error when clicking on new message indicator
  * #9280 Inviting users to a MUC causes error
  * #9301 Error when opening service discovery window
  * #9309 Error when clicking on a groupchat invite notification
  * #9311 Error when requesting server info
  * #9117 Windows UAC changes status not available
  * #9324 No menus/dialogs on Win7
  * #9326 IPV6 Connection problem on Win10
  * #9334 Joining big MUCs takes very long
  * #9339 Error caused by remote_control

Gajim 1.1.0-beta1 / 1.0.99 (19 August 2018)

  New

  * Support for setting a MUC Avatar
  * Support for PKIX over Secure HTTP (POSH)
  * Support idle time for GNOME on Wayland
  * New Emoji chooser
  * Noto Emoji theme updated to Unicode 11
  * Twitter Emoji theme added
  * Gajim Theming reworked
  * Design updates to many dialogs
    - Join Groupchat
    - Bookmarks
    - Add new contact
    - History
    - Profile
    - Accounts

  Bug fixes

  * #8658 Translation doesn't work on Windows
  * #8750 Increase time frame for duplicate search in MUCs
  * #9138 Translation in Flatpak does not work
  * #9140 Error when clicking on the notification of an incoming message
  * #9159 Wrong form type when responding to a voice request
  * #9069 Send cancel IQ if muc configuration is aborted
  * #9167 Flatpak fails to determine locale settings
  * #9171 Gajim requests vcard multiple times
  * #9198 Creating new MUCs with capital letters is not possible
  * #9211 Punycode and Unicode with Internationalized Domain Names

  Other changes

  * Support http:upload:0
  * Remove forward message adhoc commands 
  * Remove support for XEP-0090
  * Remove RC4-SHA because it is insecure (Was not used with current OpenSSL versions)
  * Improve speed when loading the roster
  * Handle new MUC status code 333
  * Switch to GDBus for Gajim remote
  * Removed support for ESessions
  * Improvements to the dark theme of Gajim
  * New dependency: python3-cssutils >= 1.0.2
  * New dependency: python3-keyring
  * Removed dependency: python3-avahi
  * Removed dependency: python3-pyasn1

Gajim 1.0.3 (20 May 2018)

  Bugs fixed:

  * #8296 Fix errors on roster updates after stream management resume
  * #9106 Convert font weight from pango to css values
  * #9124 Bring ChatControl to front when notification is clicked

  * Set no-store hint on groupchat chatstates
  * Dont show OOB uri if message body is the same
  * Add missing bybonjour dependency for Windows zeroconf

  Flatpak:

  * Limit dbus access

Gajim 1.0.2 (30 April 2018)

  Bugs fixed:

  * #7879 Server name is rejected for group chat bookmarks
  * #8964 setup.py install misses some files if used with "--skip-build"
  * #9017 Password was sometimes stored in plaintext
  * #9022 Dont show error when receiving invalid avatars
  * #9031 Windows: Always hide roster window on X
  * #9038 No License in About dialog
  * #9039 Encode filenames before sending
  * #9044 Catch invalid IQ stanzas and log them
  * #9049 XMPP logo in "Add New Contact" window instead Gajim logo
  * #9050 Mark some strings as translatable
  * #9054 Error on file send completion
  * #9055 Removing a bookmark causes error
  * #9057 Avatar is deleted when updating vCard
  * #9065 Account label isn't change in tooltip of notification area icon
  * #9066 Placeholder text doesn't disappear
  * #9068 Missing pulseaudio in Flatpak image
  * #9070 Fix History Manager search
  * #9074 Proxy comobo-box in accounts/connections doesn't get update after ManageProxies
  * #9094 problem receiving file
  * #9101 Notification never autohides in gnome

  * Correctly reload Plugins
  * Save history export with utf8 encoding
  * Dont allow plain BOSH by default

Gajim 1.0.1 (1 April 2018)

  * Improve MAM support
  * Image preview in file chooser dialog
  * Groupchat: Set minimize on auto join default True
  * Delete bookmark when we destroy a room
  * Fix account deletion
  * Fix custom font handling
  * Fix OpenPGP message decryption
  * Fix window position restore on multi-head setups
  * Fix scrolling in message window
  * Improve Windows build and build for 64 bits

Gajim 1.0.0 (17 March 2018)

  * Ported to GTK3 / Python3
  * Integrate HTTPUpload
  * Add Navigation buttons in History Window
  * Improvements for HiDPI Screens
  * Depend on the python keyring package for password storage
  * Flatpak support
  * Lots of refactoring
  * New Emoji support
  * New Chat Window design
  * New StartChat Window (Ctrl+N)
  * New ServerInfo Window
  * AccountWindow Redesign
  * Moved some encryption code out into Plugins (see PGP Plugin, Esessions Plugin)
  * OTR Plugin was not ported, use OMEMO
  * Added mam:1 and mam:2 support (mam:0 was removed)
  * Added MAM for MUCs support
  * Added support for showing XEP-0084 Avatars
  * Add support for geo: URIs
  * Added xmpp URI handling directly in Gajim
  * Removed Gajim-Remote
  * Removed XEP-0012 (Last Activity)
  * Removed XEP-0136 (Message Archiving)
  * Added XEP-0156 (Discovering Alternative XMPP Connection Methods)
  * Added XEP-0319 (Last User Interaction in Presence)
  * Added XEP-0368 (SRV records for XMPP over TLS)
  * Added XEP-0380 (Explicit Message Encryption)
  * Added Jingle FT:5 support
  * Lots of other small bugfixes

  KNOWN ISSUES: 

    - Meta Contacts: Filtering the roster could lead to a crash in some circumstances. Use CTRL + N for starting new chats as a workaround
    - Audio/Video support is currently not maintained and most likely not working
    - Windows: Translation is not working currently

Gajim 0.16.9 (30 November 2017)

  * Improve Zeroconf behavior
  * Fix showing normal message event
  * remove usage of OpenSSL.rand
  * a few minor bugfixes

Gajim 0.16.8 (04 June 2017)

  * Fix rejoining MUCs after connection loss
  * Fix Groupchat invites
  * Fix encoding problems with newer GnuPG versions
  * Fix old messages randomly reappearing in the chat window
  * Fix some problems with IBB filetransfer
  * Make XEP-0146 Commands opt-in
  * Improve sending messages to your own resources
  * Improve reliability of delivery recipes
  * Many minor bugfixes

Gajim 0.16.7 (30 January 2017)

  * Better compatibility with XEP-0191: Blocking Command
  * Windows Credential Vault is used for password storage on Windows
  * Gajim now depends on python-gnupg for PGP encryption
  * Add portable installer for Windows
  * Remove usage of demandimport
  * Many minor bugfixes

Gajim 0.16.6 (02 October 2016)

  * Fix using gpg2
  * Improve message receipts usage
  * Improve roster filtering
  * several minor bugs

Gajim 0.16.5 (28 December 2015)

  * Improve MAM implementation
  * Improve security on connection and for roster management
  * Ability for emoticons to be sorted in menu

Gajim 0.16.4 (26 September 2015)

  * Fix trusting GPG keys
  * Ability to disable synchronization of logs with server
  * Improve MAM usage

Gajim 0.16.3 (31 July 2015)

  * Fix reading secret file
  * Fix reconnection after suspend
  * Fix sending GPG-encrypted file to non-trusted key

Gajim 0.16.2 (24 July 2015)

  * improve Zeroconf under windows and with IPv6
  * Fix errors with GnuPG
  * Minor fixes and improvements

Gajim 0.16.1 (28 February 2015)

  * Fix sending Zeroconf messages
  * Make ipython compatible to version >= 1.0
  * Support XEP-0313 MAM
  * Minor fixes and improvements

Gajim 0.16 (04 October 2014)

  * Improve File transfer support by adding Jingle file transfer
  * use external python-nbxmpp library
  * Improve audio / Video calls and add screensharing feature
  * Support audio under windows
  * Support systemd-logind
  * Support XEP-0308 Last message correction
  * Support XEP-0224 Attention
  * Support XEP-0191 Blocking command
  * Better RTL languages support
  * use host command to resolve SRV records if it is available

Gajim 0.15.4 (25 May 2013)

  * Fix usage of OTR plugin
  * Fix connection to non-SSL server
  * Fix receiving GPG-encrypted messages while offline.

Gajim 0.15.3 (17 March 2013)

  * Better handling of SSL errors
  * Better handling of canceling file transfer
  * Improve farstream calls
  * Minor fixes and improvements

Gajim 0.15.2 (30 October 2012)

  * Show punycode encoded urls if they contain non-ascii chars
  * Fix crash when pressing Esc in chat window
  * Support Network Manager 0.9
  * decrypt GPG messages in the correct order

Gajim 0.15.1 (29 August 2012)

  * Switch from python-farsight to python-farstream
  * improve performances
  * Fix roster filter with unicode chars
  * Fix connection to msn jabber server
  * Fix some GPG issues
  * Fix other small issues

Gajim 0.15 (18 March 2012)

  * Plugin system
  * Whiteboard (via a plugin)
  * Message archiving
  * Stream management
  * IBB
  * Nested roster group
  * Roster filtrering
  * UPower support
  * GPG support for windows
  * Spell checking support for windows

Gajim 0.14.4 (22 July 2011)

  * Fix translation issue
  * other minor fixes

Gajim 0.14.3 (19 June 2011)

  * Fix history viewer
  * Fix closing roster window
  * Prevent some errors with metacontacts

Gajim 0.14.2 (07 June 2011)

  * Fix CPU usage when testing file transfer proxies
  * Fix invalid XML char regex
  * Fix subscription request window handling
  * Fix URL display in chat message banner
  * Other minor bugfixes

Gajim 0.14.1 (26 October 2010)

  * Fix changing account name
  * Fix sending XHTML
  * Fix GnomeKayring usage
  * Fix some GPG bugs
  * Minor bugfixes

Gajim 0.14 (02 September 2010)

  * Jingle audio / video chat
  * Improve Startup time
  * Copy emoticons, LaTeX expressions when they are selected
  * Fix status icon transparency by using gtk.statusicon
  * Groupchat auto-rejoin
  * geolocation (with geoclue)
  * use XDG standards
  * SCRAM-SHA-1 and SASL EXTERNAL authentication
  * MUC captcha
  * Lots of refactoring

Gajim 0.13.4 (02 April 2010)

  * Add japanese translation
  * Fix some TLS connection
  * Don't raise a lot of "DB Error" dialog
  * Fix contact synchronisation
  * Minor fixes

Gajim 0.13.3 (23 February 2010)

  * Fix facebook xmpp server connection
  * Fix copy / paste with Ctrl+C on non-latin keyboard
  * Fix sending PEP information when connecting
  * Fix parsing HTML messages that have ascii markup

Gajim 0.13.2 (14 January 2010)

  * Fix some translations
  * Fix string comparison according to locales
  * Fix resizing of groupchat occupant treeview
  * Fix some gnomekeyring glitches
  * better SRV usage with libasyncns
  * copy emoticons when we copy / paste in conversations

Gajim 0.13.1 (28 November 2009)

  * Fix a bug when no account exists and bonjour is not available
  * Fix a bug when opening advanced option in MUC
  * Fix a bug when using non-BOSH proxies

Gajim 0.13 (24 November 2009)

  * Improve gtkspell (fix memleak)
  * BOSH connection
  * Roster versioning
  * Ability to send contacts
  * GUI to send XHTML messages
  * Improve sessions handling
  * pubsub storage (for bookmarks)
  * Ability to select account when joining a groupchat
  * Better Gnome keyring support
  * Ability to ignore occupants in groupchats
  * Ability to show / hide self contact row
  * Automatically go away when screensaver is enabled under windows
  * Ability to enable / disable accounts
  * better URL recognition
  * groupchat autoreconnect
  * Store passwords in KDE wallet if available
  * Better MUC errors handling
  * Fix sound player launch (don't create zombies anymore)
  * Optional shell like completion
  * New color theme

Gajim 0.12.5 (08 August 2009)

  * Don't depend on GTK 2.14

Gajim 0.12.4 (07 August 2009)

  * Fix History manager
  * Fix file transfer proxy discovering at connection
  * Improve filetransfer with IPv6
  * Fix zeroconf when receiving badly encoded info

Gajim 0.12.3 (12 June 2009)

  * Fix PLAIN authentication (in particular with Gtalk
  * fix PEP discovery

Gajim 0.12.2 (07 June 2009)

  * Better keepalive / ping behaviour
  * Fix custom port handling
  * Improve error messages handling
  * Totem support for played music
  * Fix SSL with some servers
  * Handle XFCE notification-daemon
  * Restore old behaviour of click on systray: left click to open events
  * Network manager 0.7 support
  * Move logs file under windows to $APPDATA/gajim
  * Improve Kerberos support
  * Many bugfixes here and there
  * Add -c option to history_manager

Gajim 0.12.1 (21 December 2008)

  * Fix filetransfer
  * Updated german translation
  * Fix click on notifications when text string is empty
  * Improve systray popup menu

Gajim 0.12 (17 December 2008)

  * Fix text rendering in notifications
  * Fix forward unread messages under Windows
  * Better sessions support
  * Better auto-away support
  * Fix banshee support
  * Quodlibet support
  * Fix GSSAPI authentication 
  * Fix IPV4 filetransfer on Windows Vista when IPV6 is used too
  * Fix caps usage
  * Fix end to end encryption autonegotiation

Gajim 0.12-beta1 (11 November 2008)

  * SECURITY
  * Implement Kerberos (GSSAPI) SASL Authentication mechanism
  * Prevent affiliation spoofing in groupchats
  * Improve GPG and E2E support

  * GUI
  * Highlight all valid IANA schemes
  * Improved E2E, Mood and Activity dialogs
  * Show number of participants in groupchats

  * Connection
  * Correctly parse IDNA names in SRV records
  * Disable proxy resolution (#4299)
  * Fix handling of namespace invalid XML
  * Do not freeze on connection failures (#4366, #4107)

  * OTHERS
  * Do not crash on fluxbox restarts
  * Update several hotkeys and make them work on non-latin keyboards
  * Prevent a user from sending invalid XML chars
  * Do not try to save a file with a too long filename when a nick is long
  * Implement XEP-0203 (Delayed Delivery)
  * Improved windows installer
  * Latex support for windows

Gajim 0.12-alpha1 (12 August 2008)

  * Change licence from GPLv2 to GPLv3

  * SECURITY
  * Support for End-To-End encryption (XEP-0116)
  * SSL certificate verification
  * Improve GPG support (#2390, #2783)
  * Ability to disable message previews in notify popups

  * GROUP CHATS
  * Support for sending files over group chats
  * List of bookmarked rooms is now sorted alphabetically
  * Support for transforming a one-to-one chat into a groupchat
  * Send invitation by drag-and-dropping a contact from roster
  * Send messages to conference using gajim-remote
  * Ability to destroy a room when we are owner, give a reason and alternative room jid
  * Ability to minimize group chats in roster
  
  * USABILITY
  * Files transfers using drag and drop
  * Ability to select and interact with status messages in chat windows (using libsexy)
  * Ability to set a custom avatar for a contact
  * Better handling of resource collisions
  * Option to Sign On as a Certain Status (#3314)
  * Block/Unblock contact directly from roster using privacy lists
  
  * GUI
  * Single window mode
  * Close change status windows after 15 seconds of inactivity
  * Simplified "Accounts" dialog
  * Preferences window redesign
  * New GUI for chat window
  * Roster treeview now uses modelfilter (way way much faster)

  * OTHER
  * Support of PEP (Personal Eventing Protocol) (XEP-0163)
    * User Mood (XEP-0107)
    * User Activity (XEP-0108)
    * User Tune (XEP-0118)
    * User Nickname (XEP-0172)
  * Support for Google Talk accounts with non gmail.com domain (+ GMail notifications)
  * Modified the format of emoticons list file, so we can choose the default code (#3696)
  * New Remote Controlling Option (XEP-0146): forward unread messages
  * Support for User Search (XEP-0055)
  * Support for jabber:x:data in message elements (Part of XEP-0004)
  * Added a «supported features» window
  * Latex support (#2796)
  * Link-local messaging with Windows (#2883)
  * Ability to send a custom status to a group, a contact or a transport
  * Support of Message Receipts (XEP-0184)

Gajim 0.11.4 (06 December 2007)

  * Fix /nick command in groupchats
  * Better Metacontacts sorting
  * Fix Ctrl + PageUP/Down behaviour
  * Fix saving files from filetransfer under windows

Gajim 0.11.3 (17 November 2007)

  * Fix bookmarks support detection
  * Improve file transfer on windows
  * Fix some zeroconf bugs
  * Fix focus bug in chat window
  * Fix nickname changement behaviour in groupchats

Gajim 0.11.2 (22 September 2007)

  * Improve idle, transports support
  * Enable ellipsization in roster and chatwindow
  * Fixed some metacontacts problems (#2156, #2761)
  * Better support of XEP-0070 (Verifying HTTP Requests via XMPP)
  * Make the same height of a banner for all chat tabs
  * Fix a bug with french translation and invitations (#3043)
  * Fix a bug with UTF-8 and emoticons
  * Corrected many bugs with passwords and gnome-keyring
  * Improve xhtml-im and pictures support
  * Improve Ad-Hoc support
  * And many other bufixes

Gajim 0.11.1 (18 February 2007)
  * Fixes in gajim-remote and the way XMPP URI are handled
  * Fix Idle under Windows
  * Fix Gajim under non-ascii languages Windows
  * Fix International Domain Name usage
  * Fix when removing active privacy list
  * Fix problem with adhoc command and multi-step forms
  * Fixed avatars cache problems in group chats
  * KDE integration for XMPP URI
  * Support of Banshee Music player
  * Support of XEP-0202 (Entity Time)
  * Support of XEP-0199 (XMPP Ping)

Gajim 0.11 (19 December 2006)
  * New build system, using GNU autotools. See README.html
  * Support for link-local messaging via Zeroconf using Avahi (XEP-0174)
  * Automatically connect and disconnect to accounts according to network availability (if Network Manager is present)
  * IPV6 support to connect to server
  * Ad-Hoc commands
  * GNOME Keyring Support (if GNOME keyring is available, manage passwords and save them in an encrypted file)
  * Introducing View Menu (GNOME HIG)
  * Ability to now hide the Transports group
  * Support for notify-python. So if notification-daemon is not available, we still can show cool popups
  * Connection lost is now a non-intrusive popup
  * Try to get contact desired nick when we add him to roster aka User Nickname (XEP-0172)
  * Support for Privacy Lists (XEP-0016)
  * Better design of User Profile window, with a progress bar
  * New Add User dialog, with possibility to register to transport directly from it
  * Completion for "Start Chat" input dialog
  * Metacontacts across accounts (#1596)
  * Ability to have a different spellchecking language in each chat window. (#2383 and #746)
  * Forbid to run multiple instances (but you can use different profiles)
  * Ability to save avatar with right click on avatar in chat banner
  * Annotations (XEP-0145)
  * XHTML Support 
  * Rhythmbox and Muine song change notification
  * Ability to operate on more than one contact at once in roster (#1514)
  * Send single message to a whole group 
  * Delete a whole group
  * Gajim now remembers if GPG encryption was enabled per contact
  * Priority can be changed automatically when we change status
  * Fuzzyclock support
  * Mute sounds from systray menu
  * Add possibility to start a chat or see contact's infos from subscription request window
  * Use different colors for each participant in groupchats
  * Ability to show only Join/Leave in groupchats instead of all status changes
  * New possibilities to insert nickname of a participant in groupchat conversations: Tab in an empty line now cycles through nicks, maj+right click->inserts nickname, maj+click on name in gc-roster, /names command to show all users presence
  * Fixed bugs when removing or renaming an account with tabs open (#2369 and #2370)
  * New translations: Croatian, Esperanto, British English, Belarusian

Gajim 0.10.1 (06 June 2006)

  * Freeze and lost contacts in roster (#1953)
  * Popup menus are correctly placed
  * High CPU usage on FreeBSD (#1963)
  * Nickname can contain '|' (#1913)
  * Update pl, cs, fr translations
  * Don't play sound when no event is shown (#1970)
  * Set gajim icon for history manager
  * gajim.desktop is generated with translation (#834)
  * Preventing several TBs and annoyances (r6273, r6275, r6279, r6301,
  r6308, r6311, r6323, r6326, r6327, r6335, r6342, r6346, r6348)

Gajim 0.10 (01 May 2006)

  * One Messages Window ability (default to it) with tab reordering ability
  * Non blocking socket connections. Gajim no longer remains unresponsive.
  * Gajim now uses less memory
  * File Transfer improvements (now should work out of the box for all)
  * Meta Contacts ability (relationships between contacts)
  * Support for legacy composing event (JEP-0022). Now 'Contact is composing a message' will always work
  * Gajim now defaults to theme that uses GTK colors
  * Roster Management Improvements (f.e. editablity of transport names, extended Drag and Drop Functionality)
  * History (chat logs) Manager (search globally, delete, etc)
  * Animated Emoticons ability
  * Support for GTalk email notifications for GMail
  * Room administrators can modify room ban list
  * Gajim no longer optionally depends on pydns or dnspython. Requires
  dnsutils (or whatever package provides the nslookup binary)
  * gajim-remote has extended functionality
  * Improved Preset Status Messages Experience
  * Detection for CRUX as user's operating system
  * New art included, appropriate sizes of icons used where available
  * Translations under Windows now work okay
  * Tons of fixes for bugs and annoyances: http://trac.gajim.org/query?status=closed&milestone=0.10


Gajim 0.9.1 (27 December 2005)

  * Fix bug when joining a Groupchat
  * Fix bug when starting Gajim without old logs

Gajim 0.9 (23 December 2005)

  * Avatars and status messages in roster window
  * Improved service discovery window
  * Emoticons selector, Cooler Popup Windows (notification-daemon). Read more information in case you did not notice something different in http://trac.gajim.org/wiki/GajimDBus#notif_daemon
  * Caching of Avatars, Less UI freezing
  * New Account creation wizard
  * Better History Window with searching capabilities
  * Gajim now tries to reconnect to a jabber server if connection is lost
  * Queue for all events (File Transfer, private messages, etc)
  * A lot of new irc-like commands in group chat. Do for example /help invite
  * X11 Session Management support
  * Gajim registers and handles xmpp: and xmpp:// (GNOME/gconfd only)
  * Use pysqlite for conversation history. Automigration for old logs 
  * New translations: Italian, Swedish, Slovak, Basque

Gajim 0.8.2 (06 Sep 2005)
  
  * Fix so Gajim runs in pygtk2.8.x
  * Gajim can use pydns too (apart from dnspython) to do SRV lookup
  * Other minor fixes

Gajim 0.8.1 (02 Sep 2005)

  * Systray icon for windows
  * Gajim is available in Dutch
  * Gajim can use gpg-agent

Gajim 0.8 (18 Aug 2005)

  * Avatars (JEP-0153)
  * Chat state notifications aka. typing notification (JEP-0085)
  * Bookmark storage (JEP-0048)
  * File Transfer (JEP-0096)
  * Major changes to adhere to GNOME HIG
  * Complete vcard fields support
  * New and better user interface for chat and groupchat windows
  * SRV capabilities and custom hostname/port
  * Many improvements in group chat and IRC emulation (eg. nick autocompletation and cycling)
  * Gajim can now send and receive single messages
  * New iconsets and new dialog for customizing the user interface
  * Mouseover information for contacts in the roster window (aka tooltips)
  * DBus Capabilities. Now Gajim can be remote controlled
  * Authenticating HTTP Requests via XMPP (JEP-0070)
  * Now you can lookup a word in Wikipedia, dictionary or in search engine
  * XML Console
  * Gajim is now also available in norwegian and czech language


Gajim 0.7.1 (5 Jun 2005)  

  * Transports icon as an option and error/message icon for transports  
  * Gajim is more HIG compatible  
  * Editing registration information on transports  
  * Messages stanza without <body> element are not printed  
  * SASL bugfix  
  * GtkSpell capabilities  
  * Support SSL (legacy) connection  
  * Assign gpg key to specific contact  
  * Contacts are sortable by status  
  * Gajim remembers last lines when reopening chat  
  * New translations available: German, Russian, Spanish, Bulgarian

Gajim 0.7 (23 May 2005)

  * Ability for groupchat reserved rooms with full affiliations and roles support
  * Popup notification for incoming events
  * Protocol icons for contacts from transports
  * Gajim's user interface is now more HIG compliant
  * Gajim now detects and can send operating system information
  * Gajim now can inform the user about new version availability
  * Gajim jabber library migration from jabberpy to xmpppy
  * Rewrite the plugin system to remove threads and improve latency
  * Gajim now supports Nodes in Service Discovery
  * Greek and Polish translations


Gajim 0.6.1 (03 April 2005)

  * Rewrite of service discovery. It doesn't freeze Gajim anymore.
  * More HIG Compliant.
  * Gajim is faster (do not redraw preferences_window each time we open it, use
  of psyco if available)

Gajim 0.6 (23 March 2005)

  * Gajim's user interface is now nicer.
  * Groupchat just got better.
  * URL, mailto and ascii formatin (* / _) detection
  * Better transports detection, group management, and many minor additions/bugfixes

Gajim 0.5.1 (27 February 2005)

  * Minor bugfixes.

Gajim 0.5 (26 February 2005)

  * Possibility to use tabbed chat window
  * Sound support under GNU/linux
  * Autoaway available under Microsoft Windows

Gajim 0.4.1 (23 January 2005)

  * Bugfix in config file parser (fix config file parser to handle emoticons)
  * Bugfix with GPG signatures

Gajim 0.4 (21 January 2005)

  * New option: regroup accounts
  * Emoticons support with a binder
  * GUI improvements
  * Bugfixes

Gajim 0.3 (18 December 2004)

  * GUI improvements
  * group chat support with MUC (JEP 45)
  * New agent browser (JEP 30)
  * GnuPG support
  * Autoconnect at startup
  * New socket plugin 

Gajim 0.2.1 (1 July 2004)

  * bugfixes : when configfile is incomplete
  * icon in systray with popup menu (for linux)
  * "auto away even if not online" option
  * always show contacts with unread messages
  * new imageCellRenderer to show animated gifs
  * allow agents unregistration 

Gajim 0.2 (8 June 2004)

  * bugfix for french translation
  * multi-resource support
  * auto away support (for linux)
  * invisible support
  * priority support 

Gajim 0.1 (21 May 2004)

  * Initial release. 
